/*
 (rem = function (d, c) {
 var e = d.documentElement, b = "orientationchange" in window ? "orientationchange" : "resize", a = function () {
 var f = e.clientWidth;
 if (!f) {
 return
 }
 e.style.fontSize = (f / 7.5) + "px";
 // var rem = (f / 7.5) + "px";
 // var windowHeight = document.documentElement.clientHeight;
 // var footerHeight = $(".footer").height();
 // var height = windowHeight - footerHeight;
 // var containHasHeaderHeight = windowHeight - 0.9 * rem;
 // $(".contain").height(height);
 // $(".containHasHeader").height(containHasHeaderHeight)
 };
 if (!d.addEventListener) {
 return
 }
 c.addEventListener(b, a, false);
 d.addEventListener("DOMContentLoaded", a, false)
 })(document, window);
 */


function goAjax(ajaxDate) {
    //aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
    // setStorage('token', "f5d4ac052c5e08edda6c4bc4a34a6157");
    var Progress = true;
    var url = ajaxDate.url;
    var headers = ajaxDate.headers;
    if (is_null(headers)) {
        headers = {};
    }

    if (is_app()) {
        headers.deviceToken = api.deviceToken;
        headers.appVersion = api.appVersion;
        headers.systemType = api.systemType;
    }

    var values = ajaxDate.values;
    var token = getStorage('token');
    var unToLoginUrl = [
      get_ajax_url_head() + 'userGetJsonInfo/userCheckHasMessage.do',
      get_ajax_url_head() + 'userGetJsonInfo/userGetMessage.do',
      get_ajax_url_head() + 'checkStudentsMallOpenState.do',
    ]
    if (no_null(values)) {
        values.token = token;
    } else {
        values = {
            token: token,
        }
    }
    var ajaxJson = {
        url: url,//（可选项）请求标识，可以传递此字段给 cancelAjax 方法来取消请求
        tag: ajaxDate.tag || 'apiAjax',//（可选项）请求标识，可以传递此字段给 cancelAjax 方法来取消请求
        method: ajaxDate.method || 'post',//（可选项）异步请求方法类型（详见异步请求方法类型常量）
        cache: ajaxDate.cache || true,//（可选项）是否缓存，若缓存，下次没网络时请求则会使用缓存
        timeout: ajaxDate.timeout || 0,//（可选项）超时时间，单位毫秒
        dataType: 'json',//（可选项）返回数据类型（详见异步请求返回数据类型常量）
        charset: ajaxDate.charset,//（可选项）当响应头里面没有返回字符集编码时，使用此编码来解析数据
        headers: headers,//（可选项）请求头
        report: ajaxDate.report,//（可选项）是否实时返回上传文件进度
        returnAll: ajaxDate.returnAll,//可选项）是否需要返回所有 response 信息，为 true 时，返回的头信息获取方法(ret.headers)，消息体信息获取方法(ret.body)，状态码获取方法(ret.statusCode)
        async: true,
        data: values,
        beforeSend: function(){
            if(ajaxDate.beforeSend) {
                ajaxDate.beforeSend();
            }
        },
        success: function (ret) {
            if (is_app()) {
                hideProgress();
            }

            if ((ret != '') && (ret != null)) {

                if (is_developer()) {
                    console.log('goAjax.ret:' + JSON.stringify(ret) + ':' + url.substring(url.lastIndexOf("/") + 1));
                }
                var state = ret.msg;
                /*  if (ajaxDate.no_getScore != 0) {
                 add_getScore_div(ret.getScore);
                 }*/

                if (state == 1) {

                    if (typeof ajaxDate.callback == "function") {
                        ajaxDate.callback(ret);
                    } else if (typeof ajaxDate.success == "function") {
                        ajaxDate.success(ret);
                    }

                } else {
                    if (typeof ajaxDate.err_callback == "function") {
                      ajaxDate.err_callback(ret);
                    }

                    if ((state == -3) && (ajaxDate.no_out != 0) && unToLoginUrl.indexOf(url) === -1) {
                        if (is_app()) {
                            api.toast({
                                msg: '用户未登录或登录超时',
                                duration: 5000,
                                location: 'bottom',//top 顶部  middle 中间  bottom 底部
                                global: true,//是否是全局的toast。若为false，toast将只在当前window范围可见；若为true，安卓手机上面弹出的位置将会固定在底部区域。
                            });
                        }
                        rmStorage('is_Login');
                        rmStorage('token');
                        rmStorage('user_data');
                        is_Login();
                    }


                }
            } else {

                if (is_app()) {
                    if (Progress) {
                        api.toast({
                            msg: '网络异常，请稍后尝试！',
                            duration: 3000,
                            location: 'top',//top 顶部  middle 中间  bottom 底部
                            global: false,//是否是全局的toast。若为false，toast将只在当前window范围可见；若为true，安卓手机上面弹出的位置将会固定在底部区域。
                        });
                    }
                }
            }
        },
        error: function (err) {

            console.warn(JSON.stringify(err))
            hideProgress();
            if (is_app() && ajaxDate.no_err != 1) {
                if (Progress) {
                    api.toast({
                        msg: '网络异常，请稍后尝试！',
                        duration: 3000,
                        location: 'top',//top 顶部  middle 中间  bottom 底部
                        global: false,//是否是全局的toast。若为false，toast将只在当前window范围可见；若为true，安卓手机上面弹出的位置将会固定在底部区域。
                    });
                }
            }
            if ((err != '') && (err != null)) {

                if (is_developer()) {
                    console.error('goAjax.error:' + JSON.stringify(err) + '   ' + url.substring(url.lastIndexOf("/") + 1));
                }
                if (typeof ajaxDate.error_callback == "function") {
                    ajaxDate.error_callback(err);
                }


            }

        },
        complete: function(){
            hideProgress();
            if(typeof ajaxDate.complete == "function") {
                ajaxDate.complete();
            }
        }

    };
    if (is_developer()) {
        console.log('ajaxJson:' + JSON.stringify(ajaxJson));
    }
    $.ajax(ajaxJson);

};


function get_ajax_url_head() {
    var head = getStorage('url_head') || 'http://www.yuweixiangmeishi.cn/MasterWang/';
    // if (!is_app()) {
    //     var host = window.location.host;
    //     if (host.indexOf('http://') > 0) {
    //         head = host + '/MasterWang/'
    //     } else {
    //         head = 'http://' + host + '/MasterWang/'
    //     }
    //     setStorage('url_head', head);//线上版
    // }
    return head;

}


//打开win封装
function openWin(name, url, reload, allowEdit, pageParam) {
    // setStorage('before_html', getHtmlName());
    if (is_app()) {
        api.openWin({
            name: name,
            url: url,
            reload: reload || true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            slidBackType: 'edge',//（可选项）当支持滑动返回时，设置手指在页面右滑的有效作用区域。取值范围（full:整个页面范围都可以右滑返回，edge:在页面左边缘右滑才可以返回），该字段只iOS有效
            allowEdit: allowEdit || false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: false,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "push",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },
            pageParam: pageParam
        })
    } else {
        window.location.href = url;
    }

}

function openWin2(url, reload) {

    if (is_app()) {
        api.openWin({
            name: get_url_HtmlName(url),
            url: encodeURI(url),
            reload: reload || true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 50,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            slidBackType: 'edge',//（可选项）当支持滑动返回时，设置手指在页面右滑的有效作用区域。取值范围（full:整个页面范围都可以右滑返回，edge:在页面左边缘右滑才可以返回），该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: false,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "push",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 250,             //动画过渡时间，默认300毫秒
            },
        })
    } else {

        window.location.href = url;
    }

}


//左上角返回
$(".back").click(function () {
    closeWin();
});

//左上角返回
$(".registerLogo").click(function () {
    closeWin();
});

function closeWin(Win) {
    // console.log('closeWin')
    if (is_app()) {
        api.closeWin({name: Win || ''});
    } else {
        history.go(-1);
        return false;
    }
}

function go_homePage(reload) {

    if (byID('homeIndex1')) {
        // $(byID('homeIndex1')).addClass('red').siblings('div').removeClass('red');
    }


    if (is_app()) {
        api.setFrameGroupIndex({
            name: 'group',
            index: 0,
            scroll: false,
            reload: reload || false,
        });


    } else {
        location.href = get_web_head() + 'html/video/homePage.html'
    }
}

function go_customService() {
    var dom = byID('homeIndex2');
    if (dom) {
        // $(dom).addClass('red').siblings('div').removeClass('red');
    }
    /* $(".navLogoFirst ").removeClass('navLogoFirstActive');
     $(".navLogoSecond").addClass('navLogoSecondActive');
     $(".navLogoThree").removeClass('navLogoThreeActive');
     $(".navLogoFour").removeClass('navLogoFourActive');*/


    if (is_app()) {
        api.setFrameGroupIndex({
            name: 'group',
            index: 1,
            scroll: false,
            // reload:true,
        });
        api.sendEvent({
            name: 'reload_msg_num'
        })
    } else {
        // C:\Workspace_APICloud\王英\html\customService\customService.html
        location.href = get_web_head() + 'html/customService/customService.html'

    }

}

function go_students_market() {
    // if (is_Discuss()) {
    //     go();
    //     return;
    // }
    var show_txt = "商城升级中，请敬请期待！感谢支持";

    var ajax_json = {
        url: getStorage('url_head') + 'checkStudentsMallOpenState.do',
        Progress: 0,
        values: {},
        callback: function (ret) {
            var openState = ret.openState;
            setStorage('students_market_openState', openState);
            // console.log('stud ents_market_openState:' + openState);
            if (openState == 1 || is_Discuss()) {
                go();
            } else if (openState == 0) {
                toastInfo(show_txt);
            } else {
                if (getStorage('is_Login') == 1) {
                    if (getStorage('user_data').alreadyPay == 1) {
                        go();
                    } else {
                        toastInfo(show_txt);
                    }
                }
            }
        },

        err_callback: function (err) {
            var openState = err.openState || getStorage('students_market_openState');
            // console.log('students_market_openState:' + openState);
            if (openState == 1 || is_Discuss()) {
                go()
            } else if (openState == 0) {
                toastInfo(show_txt);
            } else {
                if (is_Login()) {
                    if (getStorage('user_data').alreadyPay == 1) {
                        go();
                    } else {
                        toastInfo(show_txt);
                    }
                }
            }
        }
    }
    goAjax(ajax_json);


    function go() {
        var dom = byID('homeIndex3');
        if (dom) {
            // $(dom).addClass('red').siblings('div').removeClass('red');
        }
        /* $(".navLogoFirst ").removeClass('navLogoFirstActive');
         $(".navLogoSecond").removeClass('navLogoSecondActive');
         $(".navLogoThree").addClass('navLogoThreeActive');
         $(".navLogoFour").removeClass('navLogoFourActive');*/

        // setTimeout(function () {

        if (is_app()) {
            api.setFrameGroupIndex({
                name: 'group',
                index: 2,
                scroll: false,
            });
        } else {
            // C:\Workspace_APICloud\王英\html\market\students_market.html
            location.href = get_web_head() + 'html/market/students_market.html'

        }
    }

}

function go_user_center() {
    if (is_Login()) {
        var dom = byID('homeIndex4');
        if (dom) {
            // $(dom).addClass('red').siblings('div').removeClass('red');
        }
        /*  $(".navLogoFirst ").removeClass('navLogoFirstActive');
         $(".navLogoSecond").removeClass('navLogoSecondActive');
         $(".navLogoThree").removeClass('navLogoThreeActive');
         $(".navLogoFour").addClass('navLogoFourActive');*/
        if (is_Login()) {
            // setTimeout(function () {

            if (is_app()) {
                api.sendEvent({
                    name: 'reload_user_data',
                });

                api.setFrameGroupIndex({
                    name: 'group',
                    index: 3,
                    scroll: false,
                    // reload: true,
                });
                // },100)
            } else {
                // C:\Workspace_APICloud\王英\html\user_center\user_center.html
                location.href = get_web_head() + 'html/user_center/user_center.html'

            }
        }
    }
}

/**/
//通用接口请求
// ajaxDate 方法传入内容 JSON类型
// values: 数据
// files:文件
// url,连接url
// callback,成功时执行方法
// err_callback.失败时执行方法
//


function goAjax_files(ajaxDate) {

    showProgress(true);
    var Progress = true;
    if (ajaxDate.Progress == 0) {
        Progress = false;
    }
    var Progress_modal = true;
    if (ajaxDate.Progress_modal == 0) {
        Progress_modal = false;
    }
    ;
    if (Progress) {
        // showProgress(Progress_modal)
        // UILoading_keyFrame();
    }
    ;

    var url = ajaxDate.url;
    ;
    var headers = ajaxDate.headers;
    if (is_null(headers)) {
        headers = {};
    }
    if (is_app()) {
        headers.deviceToken = api.deviceToken;
        headers.systemType = api.systemType;
        headers.systemVersion = api.systemVersion;
        headers.appVersion = api.appVersion;
    }

    var values = ajaxDate.values;
    var token = getStorage('token');
    if (token) {
        if (no_null(values)) {
            values.token = getStorage('token');
        } else {
            values = {
                token: getStorage('token'),
            }
        }
    }
    var ajaxJson = {
        url: url,//（可选项）请求标识，可以传递此字段给 cancelAjax 方法来取消请求
        tag: ajaxDate.tag || 'apiAjax',//（可选项）请求标识，可以传递此字段给 cancelAjax 方法来取消请求
        method: ajaxDate.method || 'post',//（可选项）异步请求方法类型（详见异步请求方法类型常量）
        cache: ajaxDate.cache,//（可选项）是否缓存，若缓存，下次没网络时请求则会使用缓存
        timeout: ajaxDate.timeout || 0,//（可选项）超时时间，单位秒
        dataType: ajaxDate.dataType || 'json',//（可选项）返回数据类型（详见异步请求返回数据类型常量）
        charset: ajaxDate.charset,//（可选项）当响应头里面没有返回字符集编码时，使用此编码来解析数据
        headers: headers,//（可选项）请求头
        report: ajaxDate.report,//（可选项）是否实时返回上传文件进度
        returnAll: ajaxDate.returnAll,//可选项）是否需要返回所有 response 信息，为 true 时，返回的头信息获取方法(ret.headers)，消息体信息获取方法(ret.body)，状态码获取方法(ret.statusCode)
        data: {
            values: values,
            files: ajaxDate.files,
        },//（可选项）POST 数据，method 为 get 时不传。以下字段除了 values 和 files 可以同时使用，其它参数都不能同时使用。
    };
    console.log('ajaxJson:' + JSON.stringify(ajaxJson));
    api.ajax(ajaxJson, function (ret, err) {
        if (is_app()) {
            // UILoading_closeKeyFrame();
        }
        if ((ret != '') && (ret != null)) {
            console.log('goAjax.ret:' + JSON.stringify(ret) + ':' + ajaxDate.url);
            cunt_in_ajax = 0;
            var state = ret.msg;
            if (state == 1) {
                var continue_Progress = ajaxDate.continue_Progress || true;
                if (continue_Progress) {
                    hideProgress();
                }
                if (typeof ajaxDate.callback == "function") {
                    if (ajaxDate.callback_data == null) {
                        ajaxDate.callback(ret);
                    } else {
                        ajaxDate.callback(ret, ajaxDate.callback_data);
                    }
                }
                ;
            } else {
                api.cancelAjax({
                    tag: 'apiAjax'
                });
                if (state == -3) {
                    api.toast({
                        msg: '您的账号在异地登录,请从新登录!',
                        duration: 5000,
                        location: 'bottom',//top 顶部  middle 中间  bottom 底部
                        global: true,//是否是全局的toast。若为false，toast将只在当前window范围可见；若为true，安卓手机上面弹出的位置将会固定在底部区域。
                    });
                    rmStorage('is_Login');
                    rmStorage('token');
                    is_Login();
                } else if (state == -1) {
                    toastInfo('输入参数错误');
                }
                if (typeof ajaxDate.err_callback == "function") {
                    ajaxDate.err_callback(ret);
                }
            }
        } else if ((err != '') && (err != null)) {
            console.error('goAjax.err:' + JSON.stringify(err));
            api.hideProgress();
            api.cancelAjax({
                tag: 'apiAjax'
            });
            if (Progress) {
                api.toast({
                    msg: '网络异常，请稍后尝试！',
                    duration: 3000,
                    location: 'top',//top 顶部  middle 中间  bottom 底部
                    global: false,//是否是全局的toast。若为false，toast将只在当前window范围可见；若为true，安卓手机上面弹出的位置将会固定在底部区域。
                });
            }
        } else {
            api.hideProgress();
            api.cancelAjax({
                tag: 'apiAjax'
            });
            if (Progress) {
                api.toast({
                    msg: '网络异常，请稍后尝试！',
                    duration: 3000,
                    location: 'top',//top 顶部  middle 中间  bottom 底部
                    global: false,//是否是全局的toast。若为false，toast将只在当前window范围可见；若为true，安卓手机上面弹出的位置将会固定在底部区域。
                });
            }

        }
        ;
    });
};

//网页版统计
function cnzz() {
    var oHead = document.getElementsByTagName('head').item(0);
    var oScript = document.createElement("script");
    oScript.type = "text/javascript";
    oScript.src = "https://s13.cnzz.com/z_stat.php?id=1271253412&web_id=1271253412";
    oScript.language = "JavaScript";
    oHead.appendChild(oScript);
}

function common_initial() {
    new FastClick(document.body);
    if_online();
    var top_height = 0;
    if (is_app()) {
        api.parseTapmode();
        top_height = api.safeArea.top;
    } else {
        get_ajax_url_head();
        cnzz();
    }

    $('#app_top').css('height', top_height + 'px');
    // console.warn("top_height:"+top_height)
    var allHeader_height = (0.9 * get_rem());
    $('.containHasHeader').css('top', (allHeader_height + top_height) + 'px');
    $('.detailsContain').css('top', (allHeader_height + top_height) + 'px');
    $('.wrap').css('top', (get_rem() * 1.72) + top_height + 'px');

    // setStorage('url_head', 'http://192.168.100.145/MasterWang/');

}

function hide_this(dom) {
    addClass(dom, 'hide');
}

//弹出一个定时自动关闭的提示框
function toastInfo(infoStr, global, time, location) {
    if (is_app()) {
        api.toast({
            msg: infoStr,
            duration: time || 3000,//持续时长，单位：毫秒
            location: location || 'bottom',//top 顶部  middle 中间  bottom 底部
            global: global || false,//是否是全局的toast。若为false，toast将只在当前window范围可见；若为true，安卓手机上面弹出的位置将会固定在底部区域。
        });
    } else {
        alert(infoStr);
        // toast_html(infoStr, time);
    }
}

function toast_html(txt, time) {
    var Timeout;
    if (no_null(txt)) {
        if (isElement(byID('toast_div'))) {
            $('#toast_div').html(txt);
            show_dom('#toast_html');
            clearTimeout(Timeout);
        } else {
            var wrap = '<div class="toast_out" onclick="hide_this(this)" id="toast_html"><div class="toast px14" id="toast_div">' + txt + '</div></div>';

            $('body').append(wrap);
        }
        Timeout = setTimeout(function () {
            hide_dom('#toast_html');
        }, time || 3000);
    }
}

function go_root(reload) {
    // setStorage('is_app',0);
    if (is_app()) {
        api.sendEvent({
            name: 'go_homePage',
            extra: {reload: reload,}
        });
        api.closeToWin({
            name: 'root',
        });
    } else {
        // C:\Workspace_APICloud\王英\html\video\homePage.html
        window.location.href = get_web_head() + 'html/video/homePage.html';
    }


}

/*
 /!*测试用文本框方法*!/
 function test(json, key) {
 var v = json;
 key = '' | key;
 if (typeof v == 'object') {
 console.log(key + ':' + JSON.stringify(v));
 } else {
 console.log(key + ':' + v);
 }
 }*/


//全项目通用js开始

//去掉字符串所有空格
function trimAll(str) {
    return str.replace(/\s*/g, '');
};

function getHtmlName() {
    //获取主机地址之后的目录，如： myproj/view/my.jsp
    var pathName = window.document.location.pathname;
    var html_name = pathName.substring(pathName.lastIndexOf("/") + 1);
    html_name = html_name.substring(0, html_name.lastIndexOf("."));
    // console.log('html_name:' + html_name);
    return html_name;
}

function jsonToStr(json) {
    if (typeof json === 'object') {
        return JSON && JSON.stringify(json);
    } else {
        return json;
    }
};

function strToJson(str) {
    if (typeof str === 'string') {
        return JSON && JSON.parse(str);
    } else if (typeof str == 'object') {
        return str;
    } else {
        console.warn(typeof str + ' in ' + getHtmlName() + ' is not type');
    }
};


function no_null(value) {
    if ((value != null) && (value != '') && value && (value !== undefined) && value !== 'undefined' && value != 'false') {
        return true;
    } else {
        return false
    }
}

function is_null(value) {
    if ((value == null) || (value == '') || (value === undefined)) {
        return true;
    } else {
        return false;
    }
};

function checkBlankSpace(str) {
    while (str.lastIndexOf(" ") >= 0) {
        str = str.replace(" ", "");
    }
    if (str.length == 0) {
        return true;
    } else {
        return false;
    }
}


function to_top() {
    window.scrollTo(0, 0);
}

function offset(el) {
    if (!isElement(el)) {
        console.warn('offset Function need el param, el param must be DOM Element');
        return;
    }
    var sl = Math.max(document.documentElement.scrollLeft, document.body.scrollLeft);
    var st = Math.max(document.documentElement.scrollTop, document.body.scrollTop);
    var rect = el.getBoundingClientRect();
    return {
        l: rect.left + sl,
        t: rect.top + st,
        w: el.offsetWidth,
        h: el.offsetHeight
    };

}

function setStorage(key, value) {
    if (arguments.length < 2) {
        // console.warn('setStorage key inadequate in ' + getHtmlName());
        return;
    }
    if (value == null) {
        // console.warn('setStorage value is_null of key ' + key + ' in ' + getHtmlName());
        return;
    }
    var v = value;
    if (typeof v == 'object') {
        v = JSON.stringify(v);
        v = 'obj-' + v;
    } else {
        v = 'str-' + v;
    }
    var ls = uzStorage();
    if (ls) {
        ls.setItem(key, v);
    }
};

function getStorage(key) {
    var ls = uzStorage();
    if (ls) {
        var v = ls.getItem(key);
        if (!v) {
            /*  if (is_developer()) {
             console.log(key + ' in ' + getHtmlName() + ' is not Storage');
             }*/
            return false;
        }
        if (v.indexOf('obj-') === 0) {
            v = v.slice(4);
            return JSON.parse(v);
        } else if (v.indexOf('str-') === 0) {
            return v.slice(4);
        }
    }
};

function rmStorage(key) {
    var ls = uzStorage();
    if (ls && key) {
        ls.removeItem(key);
    }
};

function uzStorage() {
    var ls = window.localStorage;
    // var isAndroid = (/android/gi).test(navigator.appVersion);
    // if (isAndroid) {
    //     ls = os.localStorage();
    // }
    return ls;
};


function isElement(obj) {
    return !!(obj && obj.nodeType == 1);
};

function isArray(obj) {
    if (Array.isArray) {
        return Array.isArray(obj);
    } else {
        return obj instanceof Array;
    }
};

function byID(id) {
    var dom = document.getElementById(id);
    if (isElement(dom)) {
        return dom;
    } else {
        if (is_developer()) {

            console.warn(id + ' in ' + getHtmlName() + '  byID need param must be DOM Element');
        }
        return false;
    }
}

function byQuery(key, Bdom) {
    var dom_fa = document;
    if (isElement(Bdom)) {
        dom_fa = Bdom;
    }
    var dom = dom_fa.querySelector(key);
    if (isElement(dom)) {
        return dom;
    } else {
        console.log(key + ' in ' + getHtmlName() + '  byQuery need param must be DOM Element');
        return false;
    }

}

function stopBubble(e) {
    if (e && e.stopPropagation) {
        //非IE
        e.stopPropagation();
    } else {
        //IE
        window.event.cancelBubble = true;
    }
}

function toggleClass(el, cls) {
    if (!isElement(el) || is_null(cls)) {
        console.warn('toggleClass Function need el param, el param must be DOM Element');
        return;
    }
    if ('classList' in el) {
        el.classList.toggle(cls);
    } else {
        if (hasCls(el, cls)) {
            removeClass(el, cls);
        } else {
            addClass(el, cls);
        }
    }
    return el;
}

function addClass(el, cls) {
    if (!isElement(el)) {
        console.warn(getHtmlName() + 'addClass Function need el param, el param must be DOM Element');
        return;
    }
    if ('classList' in el) {
        el.classList.add(cls);
    } else {
        var preCls = el.className;
        var newCls = preCls + ' ' + cls;
        el.className = newCls;
    }
    return el;
};

function removeClass(el, cls) {
    if (!isElement(el)) {
        console.warn(getHtmlName() + 'removeClass Function need el param, el param must be DOM Element');
        return;
    }
    if ('classList' in el) {
        el.classList.remove(cls);
    } else {
        var preCls = el.className;
        var newCls = preCls.replace(cls, '');
        el.className = newCls;
    }
    return el;
};

function hasCls(el, cls) {
    if (!isElement(el)) {
        // console.warn('$api.hasCls Function need el param, el param must be DOM Element');
        return;
    }
    if (el.className.indexOf(cls) > -1) {
        return true;
    } else {
        return false;
    }
};


//根据选择器匹配最近的父元素
//        参数：el (类型：Element)：DOM元素
//selector (类型：Selector)：CSS 选择器
function parent(el, selector) {
    if (isElement(el)) {
        console.warn('$api.parent Function need el param, el param must be DOM Element');
        return;
    }
    var doms, targetDom;
    var isSame = function (doms, el) {
        var i = 0, len = doms.length;
        for (i; i < len; i++) {
            if (doms[i].isEqualNode(el)) {
                return doms[i];
            }
        }
        return false;
    };
    var traversal = function (el, selector) {
        doms = domAll(el.parentNode, selector);
        targetDom = isSame(doms, el);
        while (!targetDom) {
            el = el.parentNode;
            if (el != null && el.nodeType == el.DOCUMENT_NODE) {
                return false;
            }
            traversal(el, selector);
        }

        return targetDom;
    };

    return traversal(el, selector);
};

//el (类型：Element)：DOM元素
//selector (类型：Selector)：CSS 选择器
function domAll(el, selector) {
    if (arguments.length === 1 && typeof arguments[0] == 'string') {
        if (document.querySelectorAll) {
            return document.querySelectorAll(arguments[0]);
        }
    } else if (arguments.length === 2) {
        if (el.querySelectorAll) {
            return el.querySelectorAll(selector);
        }
    }
};


//获取项目实际目录
function get_web_head() {
    var host = window.location.host;
    var head = host + '/';
    if (host.indexOf('http://') < 0) {
        head = 'http://' + host + '/'
    }
    console.log('get_web_head:' + head);
    return head;
}


//除法函数，用来得到精确的除法结果
//说明：JavaScript的除法结果会有误差，在两个浮点数相除的时候会比较明显。这个函数返回较为精确的除法结果。
//调用：division(arg1,arg2)
//返回值：arg1除以arg2的精确结果
function division(arg1, arg2) {
    // console.log('arg1:'+typeof (arg1))
    var t1 = 0, t2 = 0, r1, r2;
    try {
        t1 = arg1.toString().split(".")[1].length
    } catch (e) {
    }
    try {
        t2 = arg2.toString().split(".")[1].length
    } catch (e) {
    }
    r1 = Number(arg1.toString().replace(".", ""))
    r2 = Number(arg2.toString().replace(".", ""))
    return (r1 / r2) * Math.pow(10, t2 - t1);
}

//乘法函数，用来得到精确的乘法结果
//说明：javascript的乘法结果会有误差，在两个浮点数相乘的时候会比较明显。这个函数返回较为精确的乘法结果。
//调用：multiplication(arg1,arg2)
//返回值：arg1乘以arg2的精确结果
function multiplication(arg1, arg2) {
    var m = 0, s1 = arg1.toString(), s2 = arg2.toString();
    try {
        m += s1.split(".")[1].length
    } catch (e) {
    }
    try {
        m += s2.split(".")[1].length
    } catch (e) {
    }
    return Number(s1.replace(".", "")) * Number(s2.replace(".", "")) / Math.pow(10, m);
}

//加法函数，用来得到精确的加法结果
//说明：javascript的加法结果会有误差，在两个浮点数相加的时候会比较明显。这个函数返回较为精确的加法结果。
//调用：add(arg1,arg2)
//返回值：arg1加上arg2的精确结果
function add(arg1, arg2) {
    var r1, r2, m;
    try {
        r1 = arg1.toString().split(".")[1].length
    } catch (e) {
        r1 = 0
    }
    try {
        r2 = arg2.toString().split(".")[1].length
    } catch (e) {
        r2 = 0
    }
    m = Math.pow(10, Math.max(r1, r2))
    return (arg1 * m + arg2 * m) / m
}

// 减法函数
function sub(arg1, arg2) {
    var r1, r2, m, n;
    try {
        r1 = arg1.toString().split(".")[1].length
    } catch (e) {
        r1 = 0
    }
    try {
        r2 = arg2.toString().split(".")[1].length
    } catch (e) {
        r2 = 0
    }
    m = Math.pow(10, Math.max(r1, r2));
//last modify by deeka
//动态控制精度长度
    n = (r1 >= r2) ? r1 : r2;
    return ((arg1 * m - arg2 * m) / m).toFixed(n);
}

function show_dom(key) {
    // removeClass(byQuery(key), 'hide');
    $(key).removeClass('hide');
}

function hide_dom(key) {
    // addClass(byQuery(key), 'hide')
    $(key).addClass('hide');

}

//全项目通用js结束
/*

 private Long id;
 private String img; //头像
 private String name; //姓名
 private String pwd; //密码
 private String nickName; //昵称
 private String sex; //性别
 private String phone; //手机号码
 private String level; //等级  0普通 1铜牌 2银牌 3金牌 4铂金
 private Integer score; //积分
 private Integer money; //余额(分)
 private Integer scoreCost; //积分消费额
 private Integer moneyCost; //现金消费额
 private Integer tvCost; //技术视频消费额
 private Integer spCost; //购物消费额
 private Integer childNum; //下线用户数量
 private Long referessId; //推荐人Id
 private Date gmtCreated; //注册时间
 private Integer idDiscuss; //是否为评论帐号(0 否 1是)
 private Integer alreadyPay; //消费过(默认0 否 1是)
 private String token;
 private String realPwd; //评论帐号的密码
 */


function go_qiyu(type) {
    var ajax_json = {
        url: getStorage('url_head') + 'getCsphoneByType.do',
        Progress: 0,
        values: {
            type: type || 3,//0技术客服 1商城客服 3 groupId 4 staffId
        },
        callback: function (ret) {
            open_qiyu(ret.phone, type);
            // openServiceWindow(ret.phone)
        },
        err_callback: function (err) {
            open_qiyu(0, type);
        },
        error_callback: function () {
            open_qiyu(0, type);
        }
    }
    goAjax(ajax_json);


}

function open_qiyu(Id, type) {
    var groupId = Id;
    // console.log("groupId:"+groupId)

    var user_data = getStorage('user_data');
    if (is_app()) {
        var qiyuSdk = api.require('qiyuSdk');
        // var old_groupId = getStorage('groupId');

        setStorage('groupId', groupId);

        if (user_data) {
            qiyuSdk.setCustomUIConfig({
                customerHeadImage: user_data.img,
            });
            var params1 = {
                userId: user_data.id,
                data: '[{\"key\":\"real_name\", \"value\":\"' + user_data.nickName + '\"},{\"key\":\"mobile_phone\", \"hidden\":false},{\"index\":0, \"key\":\"account\", \"label\":\"账号\", \"value\":\"' + user_data.name + '\", \"href\":\"' + user_data.img + '\"},{\"index\":1, \"key\":\"sex\", \"label\":\"性别\", \"value\":\"' + user_data.sex + '\"}]'
            };
            // console.log('setUserInfo:' + jsonToStr(params1))
            qiyuSdk.setUserInfo(params1);
        }

        var params = {
            source: {
                sourceTitle: '厨艺宝客服',
                sourceUrl: 'http://yuweixiangmeishi.cn/',
                sourceCustomInfo: '厨艺宝客服',
                groupId: groupId
            },

            sessionTitle: '厨艺宝客服',
            groupId: groupId
        }

        qiyuSdk.openServiceWindow(params);
    } else {

        var no_app_params = {
            uid: user_data.id,
            name: user_data.nickName,
            mobile: user_data.phone,
            groupid: groupId,
            success: function () {     // 成功回调
                var url = 'https://ahywx.qiyukf.com/client?k=43b362ecc8ffb4671258c764df35449e&wp=1&gid=' + groupId + '&robotShuntSwitch=1'
                if (type == 4) {
                    url = 'https://ahywx.qiyukf.com/client?k=43b362ecc8ffb4671258c764df35449e&wp=1&gid=' + groupId + '&robotShuntSwitch=1'
                }


                // ysf.open();
                window.location.href = url;
            },
            error: function () {       // 错误回调
                // handle error
            }
        }
        // console.log('no_app_qiyuSdk_params:' + jsonToStr(no_app_params));
        ysf.config(no_app_params);

    }

}

function qiyu_test() {
    var qiyuSdk = api.require('qiyuSdk');
    var params = {
        groupId: 677729,
        commodityInfo: {
            commodityInfoTitle: '',
            commodityInfoDesc: '',
            pictureUrl: '',
            commodityInfoUrl: '',
            note: '',
            show: false,
        },
        source: {
            groupId: 677729,//指定客服id，如果同时指定 staffId 和 groupId，以 staffId 为准，忽略
        },

    }
    console.log(jsonToStr(params));
    qiyuSdk.openServiceWindow(params);
}

function qiyu_test2() {
    var qiyuSdk = api.require('qiyuSdk');
    var params = {
        groupId: 677729,
        commodityInfo: {
            commodityInfoTitle: '',
            commodityInfoDesc: '',
            pictureUrl: '',
            commodityInfoUrl: '',
            note: '',
            show: false,
        },
        source: {
            groupId: 677729,//指定客服id，如果同时指定 staffId 和 groupId，以 staffId 为准，忽略
            sourceTitle: '',
            sourceUrl: '',
            sourceCustomInfo: '',
        },
    }
    console.log(jsonToStr(params));
    qiyuSdk.openServiceWindow(params);
}

function qiyu_test3() {
    var qiyuSdk = api.require('qiyuSdk');
    var params = {
        source: {
            sourceTitle: '七鱼APICloud',
            sourceUrl: 'http://www.qiyukf.com',
            sourceCustomInfo: '我是来自自定义的信息',
            groupId: 677729
        },
        commodityInfo: {
            commodityInfoTitle: 'APICloud网易七鱼商品',
            commodityInfoDesc: '这是来自七鱼APICloud的商品描述',
            pictureUrl: 'http://qiyukf.com/res/img/companyLogo/blmn.png',
            commodityInfoUrl: 'http://www.qiyukf.com',
            note: '￥1000',
            show: true
        },
        sessionTitle: '七鱼客服',
        groupId: 677729
    }
    console.log(jsonToStr(params));
    qiyuSdk.openServiceWindow(params);
}


/*本应用被其他应用调起来时（Android 平台也可以通过 Activity 打开），收到相关数据的回调，字符串类型,在任意页面中注册该监听后，如果本应用被其他应用调起，将触发该监听函数，同时将传给该应用的数据回调给网页*/

// <a href="myscheme://?param1=xxx&param2=xxx">测试打开应用</a>
function appintent(callback) {
    if (is_app()) {
        api.addEventListener({
            name: 'appintent'
        }, function (ret, err) {
            //其他应用传递过来的参数，JSON类型
            var appParam = ret.appParam;
            appParam.systemType = api.systemType;
            if (api.systemType == 'ios') {
                //其他应用打开本应用的url，只iOS有效，字符串类型
                appParam.iosUrl = ret.iosUrl;
            } else {
                //其他应用的包名，iOS平台有可能为空字符串，字符串类型
                appParam.sourceAppId = ret.sourceAppId;
            }
            if (callback) {
                callback(appParam);
            }
        });
    }
}

function getPicture(json) {
    let sourceType = json.sourceType || "camera";
    if ((sourceType === 'camera' && opWithPermission('camera', '需要获取相机权限用于使用拍照上传头像、拍摄并上传图片等操作')) || (sourceType === 'library' && opWithPermission('storage', '需要获取相册权限用于使用图片上传头像、上传图片等操作'))) {
      api.getPicture({
        sourceType: sourceType,
        encodingType: "jpg",
        destinationType: "url",
        mediaValue: "pic",
        quality: 50,
        saveToPhotoAlbum: false
      }, function (ret, err) {
        if (ret.data) {
          json.local_img = ret.data;
          if (typeof json.FNImageClip_callback == "function") {
            // console.log('PhotoClip')
            json.FNImageClip_callback(ret.data)
          } else {
            compressionImgUpload_ajax(json);
          }
        }
      });
    }
}


function compressionImgUpload_ajax(json) {
    var ajax_json = {
        url: getStorage('url_head') + 'appCompressionImgUpload.do',
        // dataType:'text',
        values: {
            width: json.targetWidth,
            height: json.targetHeight,
        },
        files: {
            info_file: json.local_img,
        },
        callback: function (ret) {
            ret.local_img = json.local_img;
            if (typeof json.callback == "function") {
                json.callback(ret);
            }
        },
        err_callback: function (err) {
            err.local_img = json.local_img;
            json.err_callback(err);

        }
    }
    goAjax_files(ajax_json);
}


function Array_remove(Array, obj) {
    for (var i = 0; i < Array.length; i++) {
        // 严格比较，即类型与数值必须同时相等。
        if (Array[i] == obj) {
            Array.splice(i, 1);
            break;
        }
    }
    return Array;
}

function deleteElementByValue(Array, obj) {
    for (var i = 0; i < Array.length; i++) {
        // 严格比较，即类型与数值必须同时相等。
        if (Array[i] === obj) {
            Array.splice(i, 1);
            break;
        }
    }
    return Array;
}


// C:\Workspace_APICloud\厨艺宝\html\login\login.html
function is_Login(pageName) {
    if (getStorage('is_Login') != 1) {
        return no_Login();
    } else {
        return true;
    }

    function no_Login() {
        setStorage('is_Login', 0);
        if (is_app()) {
            api.openWin({
                name: 'login_0',//window 名字，不能为空字符串
                url: 'widget://html/login/login_0.html',//页面地址，可以为本地文件路径，支持相对路径和绝对路径，以及 widget://、fs://等协议路径，也可以为远程地址
                reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
                delay: 1,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
                scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
                slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
                allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
                vScrollBarEnabled: false,//（可选项）是否显示垂直滚动条
                hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
                animation: {
                    type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                    subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                    duration: 150,             //动画过渡时间，默认300毫秒
                },
                pageParam: {
                    pageName: pageName
                }
            });
        } else {
            location.href = get_web_head() + 'html/login/login_0.html'
        }
        // toastInfo("请您先登录",true);
        return false;
    }
}

function show_this_type_vadio(dom) {
    setStorage('typeId', dom.getAttribute('data-typeId'));
    go_typeHome();
}


function show_this_tech(dom) {
    var id = dom.getAttribute('data-typeId');
    setStorage('typeId', id);
    var freeVideoId = dom.getAttribute('data-freeVideoId')
    var url;
    var videoId = id ? id :  getStorage('this_vadio_id');
    setStorage('fanTypeId', 'str-' + dom.getAttribute('data-typeId'));
    go_typeHome('',  freeVideoId);
    // if (is_app()) {
    //     if(freeVideoId) {
    //         url = 'widget://html/video/show_video.html?id=' + videoId + "&freeVideoId=" + freeVideoId;
    //         openWin('show_video', url);
    //     } else {
    //         go_typeHome();
    //     }
    // } else {
    //     if(freeVideoId) {
    //         url = get_web_head() + 'html/video/show_video.html?id=' + getStorage('this_vadio_id') + "&freeVideoId=" + freeVideoId;
    //         location.href = url;
    //     } else {
    //         go_typeHome();
    //     }
    // }
}

function show_this_Goods(dom) {
    var type = dom.getAttribute('data-type');
    setStorage('this_goods_id', dom.getAttribute('data-id'));
    setStorage('this_goods_type', type);
    if (is_developer()) {
        console.log(dom.getAttribute('data-id') + '   ' + dom.getAttribute('data-id'));
    }
    go_goods_details();

}


//C:\Workspace_APICloud\王英\html\user_center\address_input.html
function go_address_input(address_input_type, address_reload_key) {
    setStorage('address_input_type', address_input_type);
    setStorage('address_reload_key', address_reload_key);
    if (is_Login()) {
        if (is_app()) {
            api.openWin({
                name: 'address_input',
                url: 'widget://html/market/address_input.html',
                reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
                delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
                scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
                slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
                allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
                vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
                hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
                animation: {
                    type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                    subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                    duration: 150,             //动画过渡时间，默认300毫秒
                },

            });
        } else {
            window.location.href = get_web_head() + 'html/market/address_input.html'
        }
    }
}


//C:\Workspace_APICloud\王英\html\market\goods_change_address.html
function go_goods_change_address() {
    if (is_app()) {
        api.addEventListener({
            name: 'change_goods_address',
        }, function (ret, err) {
            var address_json = ret.value;
            if (no_null(address_json)) {
                set_pay_address(address_json);
            }

        });
    }
    if (is_Login()) {
        if (is_app()) {

            api.openWin({
                name: 'goods_change_address',
                url: 'widget://html/market/goods_change_address.html',
                reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
                delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
                scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
                slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
                allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
                vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
                hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
                animation: {
                    type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                    subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                    duration: 150,             //动画过渡时间，默认300毫秒
                },

            });
        } else {
            window.location.href = get_web_head() + 'html/market/goods_change_address.html?old_html=' + window.location.href
        }
    }
}


// C:\Workspace_APICloud\王英\html\user_center\message_list.html
function go_message_index(pageParam) {
    if (is_Login()) {
        if (is_app()) {

            api.openWin({
                name: 'message_index',
                url: 'widget://html/user_center/message_index.html',
                reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
                delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
                scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
                slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
                allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
                vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
                hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
                animation: {
                    type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                    subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                    duration: 150,             //动画过渡时间，默认300毫秒
                },

                pageParam: pageParam,
            });
        } else {
            window.location.href = get_web_head() + 'html/user_center/message_index.html'

        }
    }
}


// C:\Workspace_APICloud\王英\html\user_center\IP_setting.html
function IP_setting(pageParam) {
    var key = false;
    var arr = [13265392130, 13424054163, 13725284019, 13725284009, 18321810893, 18321810894, 137252840091, 137252840191, 15767224928];
    if ((getStorage('is_Login') == 1)) {
        for (var i in arr) {
            if (getStorage('loginPhone') == arr[i]) {
                key = true;
            }
        }
        if (key) {
            api.openWin({
                name: 'IP_setting',
                url: 'widget://html/user_center/IP_setting.html',
                reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
                delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
                scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
                slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
                allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
                vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
                hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
                animation: {
                    type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                    subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                    duration: 150,             //动画过渡时间，默认300毫秒
                },

                pageParam: pageParam,
            });
        }
    }
    /*
        ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
        api.openWin({
            name: 'IP_setting',
            url: 'widget://html/user_center/IP_setting.html',
            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },

            pageParam: pageParam,
        });*/
}

// C:\Workspace_APICloud\王英\html\video\comment.html
function go_message_details(pageParam) {

    setStorage('msg_data', pageParam);
    if (is_app()) {

        api.openWin({
            name: 'message_details',
            url: 'widget://html/user_center/message_details.html',
            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },
            // pageParam: pageParam,
        });
    } else {
        window.location.href = get_web_head() + 'html/user_center/message_details.html'

    }
}

// C:\Workspace_APICloud\王英\html\user_center\earn_points.html
function go_earn_points(type) {
    setStorage('earn_points_type', type);
    if (is_app()) {

        api.openWin({
            name: 'earn_points',
            url: 'widget://html/user_center/earn_points.html',
            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },
        });

    } else {
        window.location.href = get_web_head() + 'html/user_center/earn_points.html'

    }
}

// C:\Workspace_APICloud\wangying\html\customService\UIWebBrowser.html
function go_UIWebBrowser(url) {
    if (is_app()) {
        api.openWin({
            name: 'UIWebBrowser',
            url: 'widget://html/customService/UIWebBrowser.html?url=' + url,
            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },
            pageParam: {
                url: url,
            },
        });
    } else {
        window.location.href = url;
    }
}

// C:\Workspace_APICloud\王英\html\video\comment.html
function go_comment(comment_type) {
    setStorage('comment_type', comment_type);
    if (is_app()) {
        api.openWin({
            name: 'comment',
            url: 'widget://html/video/comment.html',
            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },

            // pageParam: pageParam,
        });
    } else {
        window.location.href = get_web_head() + 'html/video/comment.html'

    }
}

// C:\Workspace_APICloud\王英\html\user_center\play_history.html
function go_play_history(pageParam) {
    if (is_Login()) {
        if (is_app()) {

            api.openWin({
                name: 'play_history',
                url: 'widget://html/video/play_history.html',
                reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
                delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
                scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
                slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
                allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
                vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
                hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
                animation: {
                    type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                    subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                    duration: 150,             //动画过渡时间，默认300毫秒
                },

                pageParam: pageParam,
            });
        } else {
            window.location.href = get_web_head() + 'html/video/play_history.html'

        }
    }
}

// C:\Workspace_APICloud\王英\html\market\goods_details.html
function go_goods_details(pageParam) {

    if (is_app()) {
        api.openWin({
            name: 'goods_details',
            url: 'widget://html/market/goods_details.html?id=' + getStorage('this_goods_id') + '&type=' + getStorage('this_goods_type'),
            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            bounces: false,//（可选项）页面是否弹动
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },

            pageParam: pageParam,
        });
    } else {
        window.location.href = get_web_head() + 'html/market/goods_details.html?id=' + getStorage('this_goods_id') + '&type=' + getStorage('this_goods_type');

    }
}


// C:\Workspace_APICloud\王英\html\market\market_car.html
function go_market_car() {
    if (is_Login()) {

        if (is_app()) {
            api.openWin({
                name: 'market_car',
                url: 'widget://html/market/market_car.html',
                reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
                delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
                scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
                slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
                slidBackType: 'edge',//当支持滑动返回时，设置手指在页面右滑的有效作用区域。取值范围（full:整个页面范围都可以右滑返回，edge:在页面左边缘右滑才可以返回），该字段只iOS有效
                allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
                vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
                hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
                animation: {
                    type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                    subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                    duration: 150,             //动画过渡时间，默认300毫秒
                },


            });
        } else {
            window.location.href = get_web_head() + 'html/market/market_car.html'

        }
    }
}


//C:\Workspace_APICloud\王英\html\video\search_vadio.html
function go_search_vadio(pageParam) {
    if (is_app()) {
        api.openWin({
            name: 'typeHome',
            url: 'widget://html/video/search_vadio.html',
            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },

            pageParam: pageParam,
        });
    } else {
        window.location.href = get_web_head() + 'html/video/search_vadio.html'
    }
}

// C:\Workspace_APICloud\王英\html\video\typeHome.html
function go_typeHome(pageParam, freeVideoId) {
    if (is_app()) {
        var url = freeVideoId ? 'widget://html/video/typeHome.html?freeVideoId=' + freeVideoId : 'widget://html/video/typeHome.html';
        api.openWin({
            name: 'typeHome',
            url: url,
            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },

            pageParam: pageParam,
        });
    } else {
        location.href = get_web_head() + 'html/video/typeHome.html?typeId=' + getStorage('typeId') + '&freeVideoId=' + freeVideoId;
    }
}

// C:\Workspace_APICloud\王英\html\login\forgot.html
function go_forgot(pageParam) {
    if (is_app()) {

        api.openWin({
            name: 'forgot',
            // url: 'widget://html/login/forgot.html',
            url: 'widget://html/login/change.html',
            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: false,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: false,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },

            pageParam: pageParam || {},
        });
    } else {
        location.href = '../login/change.html';
    }
}

// C:\Workspace_APICloud\王英\html\market\goods_comment_list.html
function go_goods_comment(pageParam) {
    if (is_app()) {
        api.openWin({
            name: 'goods_comment_list',
            url: 'widget://html/market/goods_comment_list.html',
            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: false,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: false,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },

            // pageParam: pageParam || {},
        });
    } else {
        location.href = get_web_head() + 'html/market/goods_comment_list.html';
    }
}

// C:\Workspace_APICloud\王英\html\video\show_video.html
function show_this_vadio(dom) {
    var introduce = dom.getAttribute('data-introduce');
    var typeId = dom.getAttribute('data-typeId');
    if(no_null(typeId)) {
        localStorage.setItem('fanTypeId', 'str-' + typeId.split(',')[1]);
    }
    if (no_null(introduce)) {
        setStorage('this_vadio_introduce', introduce);
    } else {
        rmStorage('this_vadio_introduce');
    }
    setStorage('this_vadio_id', dom.getAttribute('data-id'));
    go_show_video();
}

//C:\Workspace_APICloud\王英\html\video\market_type_list.html
function go_vaido_tech_Box(pageParam) {
    if (is_app()) {
        api.openWin({
            name: 'vaido_tech_Box',
            url: 'widget://html/video/vaido_tech_Box.html',
            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },

            pageParam: pageParam,
        });
    } else {
        location.href = get_web_head() + 'html/video/vaido_tech_Box.html';
    }
}


function go_show_video(pageParam) {
    if (is_app()) {
        api.openWin({
            name: 'show_video',
            url: 'widget://html/video/show_video.html?id=' + getStorage('this_vadio_id'),

            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: false,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            bounces: false,//（可选项）页面是否弹动
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },
            pageParam: pageParam,
        });
    } else {
        location.href = get_web_head() + 'html/video/show_video.html?id=' + getStorage('this_vadio_id');
    }

    /*if (is_app()) {
     api.openWin({
     name: 'show_video_test',
     url: 'widget://html/video/show_video_test.html?id=' + getStorage('this_vadio_id'),
     reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
     delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
     scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
     slidBackEnabled: false,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
     allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
     vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
     hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
     bounces: false,//（可选项）页面是否弹动
     animation: {
     type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
     subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
     duration:150,             //动画过渡时间，默认300毫秒
     },

     pageParam: pageParam,
     });
     } else {
     location.href = get_web_head() + 'html/video/show_video.html?id=' + getStorage('this_vadio_id');
     }*/
}

// C:\Workspace_APICloud\王英\html\video\buy_vadio.html
function go_buy_vadio(typeId) {
    var url = 'widget://html/video/buy_vadio.html';
    if (no_null(typeId)) {
        url += '?buy_vadio_type_id=' + typeId;
    }
    if (is_app()) {
        api.openWin({
            name: 'buy_vadio',
            url: url,
            reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
            delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
            scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
            slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
            allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
            vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
            hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
            animation: {
                type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                duration: 150,             //动画过渡时间，默认300毫秒
            },
            // pageParam: pageParam,
        });
    } else {
        location.href = get_web_head() + 'html/video/buy_vadio.html';
    }
}
//去除字符串的非数字
function getNumber(text){
    text = String(text)
    return text.replace(/[^0-9]/ig,"");
}
function send_reload_homePage(extra) {
    if (is_app()) {
        api.sendEvent({
            name: 'reload_homePage',
            extra: extra || {},
        });
    }
}


function userCheckHasMessage_ajax(callback) {
    if (getStorage('is_Login') == 1) {
        var ajax_json = {
            url: getStorage('url_head') + 'userGetJsonInfo/userCheckHasMessage.do',
            Progress: 0,
            values: {},
            callback: function (ret) {
                // console.warn('userCheckHasMessage_ajax:'+jsonToStr(ret))
                add_count(ret.count);
            },
            err_callback: function (err) {
                add_count(0);
            }
        }
        goAjax(ajax_json);
    }
}

function add_count(count) {

  show_count(count);
  return;
    // console.log('add_count' + count);
    getUnreadCount(function (ret) {
        // console.warn('getUnreadCount:'+count)
        count = add(count, ret);
        show_count(count);
    })
}

function show_count(count) {
    // console.log('show_count:'+count);
    var messageNum_domList = document.getElementsByClassName("messageNum");
    for(var i = 0; i < messageNum_domList.length; i++) {
        var messageNum_dom = messageNum_domList[i];

        // if (count) {
        messageNum_dom.innerHTML = count;
        // console.log('typeof_count:'+typeof count);

        if (count == '0') {
            addClass(messageNum_dom, 'hide');
            // console.log('show_count_hide:' + count);
        }
        if (is_app()) {
            console.warn("count:" + count)
            api.setAppIconBadge({
                badge: count,
            });
        }
        setStorage('messageNum', count);
    }

}


function imageBrowser_open(images, activeIndex) {
    // console.log('images:' + images.join(','));
    if (is_app()) {
        var photoBrowser = api.require('imageBrowser');
        photoBrowser.openImages({
            imageUrls: images,
            // bgColor: '#000',
            activeIndex: activeIndex,
            // tapClose: true,
            showList: false,
        }, function (ret, err) {
            if (ret) {
                // alert(JSON.stringify(ret));
            } else {
                // alert(JSON.stringify(err));
            }
        });
    } else {
        window.location.href = images[activeIndex];
    }
}

//数组去重复
function unique(arr) {
    if (isArray(arr)) {
        arr.sort();
        var re = [arr[0]];
        for (var i = 1; i < arr.length; i++) {
            if (arr[i] !== re[re.length - 1]) {
                re.push(this[i]);
            }
        }
        return re;

    }

}

function get_imgs_0(imgs) {
    if (no_null(imgs)) {
        if (imgs.indexOf(',') > -1) {
            var arr = imgs.split(',');
            return arr[0];
        } else {
            return imgs;
        }
    } else {
        return '../../images/load_img.jpg';
    }

}

function get_Level_img(Level) {
    var img_src = '../../images/vip/vip_0.png';
    if (parseInt(Level) > 0 && parseInt(Level) < 5) {
        img_src = '../../images/vip/vip_' + Level + '.png';
    }
    // console.log('img_src:'+img_src)
    return img_src;
}

function call_phone(dom) {
    var phone = dom.getAttribute('data-phone');
    console.log('phone:' + phone)
    if (phone != 0) {
        if (is_app()) {
            if(opWithPermission('phone', '需要获取通话权限用于联系电话客服')) {
                api.call({type: 'tel', number: phone,});
            }
        } else {
            window.location.href = 'tel:' + phone;
            // window.location.href = 'wtai://wp//mc;' + phone;
        }
    }
}


function get_head(head_img) {
    if (no_null(head_img)) {
        return head_img;
    } else {
        return '../../images/default_head.png';
    }
}

function already_Collect() {
    byID('detailsCollect').setAttribute('data-Collect', 1);
    byID('Collect_img').src = '../../images/shoucang3.png';
}


function do_pay(Pay_json) {
    console.log('Pay_json:' + JSON.stringify(Pay_json));
    if (is_app()) {
        if (Pay_json.pay_type == 'wxPay') {
            Pay_json.notifyUrl = Pay_json.wxPay_notifyUrl || getStorage('url_head') + 'checkWeChatPaySuccess.do';
            Pay_json.totalFee = Pay_json.money;
            wxPay(Pay_json);
        } else if (Pay_json.pay_type == 'unPay') {
            Pay_json.amount = Pay_json.money;
            Pay_json.notifyUrl = Pay_json.unPay_notifyUrl || getStorage('url_head') + 'checkUnPaySuccess.do';
            unPay(Pay_json);
        } else {
            Pay_json.amount = Pay_json.money;
            Pay_json.notifyUrl = Pay_json.alipay_notifyUrl || getStorage('url_head') + 'checkAliPaySuccess.do';
            aliPay(Pay_json);
        }
    } else {
        if (Pay_json.pay_type == 'wxPay') {
            var pay_url = getStorage('url_head') + 'userGetJsonInfo/userAddWeChatPayOrder.do';
            var ajax_json = {
                url: pay_url,
                Progress: 0,
                values: {
                    orderNumber: Pay_json.tradeNO,
                },
                dataType: 'text',
                callback: function (ret) {
                    Pay_callback(Pay_json, ret);
                },
                err_callback: function (err) {
                    Pay_callback(Pay_json, err);
                }
            }
            goAjax(ajax_json);
        } else {
            var pay_url = getStorage('url_head') + 'userGetJsonInfo/getAlipayFomtHtml.do?orderNumber=' + Pay_json.tradeNO + '&token=' + getStorage('token');
            // window.open(pay_url);
            window.location.href = pay_url;
        }
    }
}

function Pay_callback(Pay_json, ret) {
    console.log('Pay_callback:' + ret);
    var json = strToJson(ret);
    if (Pay_json.pay_type == 'wxPay') {
        // window.open(json.equrl);
        window.location.href = json.equrl;
    } else {
        // window.open(ret);
        window.location.href = ret;
    }
}

function no_phone(Phone) {
    var reg = /^1\d{10}$/i;
    return !reg.test(Phone)
}


// 图片压缩
// imgsrc：源图片的路径
// quality：图片压缩质量，一般建议0.5
// scale：图片压缩比例，也是建议0.5
// callback：转换成功之后回调函数
function img_Compress(imgsrc, callback) {
    // console.log('imgsrc:' + imgsrc);
    // 压缩文件的保存目录
    var savePath = api.cacheDir + "/" + new Date().getTime() + "/";
    // 压缩文件生成的随机文件名称
    var savename = imgsrc.substring(imgsrc.lastIndexOf("/") + 1);
    // console.log('savename:' + savename);

    var imageFilter = api.require("imageFilter");
    imageFilter.compress({
        img: imgsrc,
        quality: 0.5,
        scale: 0.5,
        size: 10000000,
        save: {
            album: true,
            imgPath: savePath,
            imgName: savename,
        }
    }, function (ret, err) {
        if (ret) {
            callback(savePath + savename);
        } else if (err.code == 1) {

        }

    });
}

function is_app() {
    var is_app = getStorage('is_app');
    var rt = true;
    // console.log(is_app);
    try {
        if (no_null(api.systemType)) {
            rt = true;
        }
    } catch (e) {
    }
    if (is_app) {
        if (is_app == 1) {
            rt = true;
        } else {
            rt = false;
        }
    } else {
        setStorage('is_app', 0);
        get_ajax_url_head();
        rt = false;
    }
    return rt;
}

function if_online() {
    var online = true;
    if (is_app() && ((getStorage('if_online') != 1) || is_test())) {
        if (api.systemType == 'ios') {
            online = false;
        }
    }
    // console.log("online:"+online);
    return online;
}

function is_test() {
    var test = false;
    if (getStorage('is_Login') == 1) {
        if (getStorage('user_phone') == '15920171531') {
            test = true;
        }
    }
    return test
}


/*
 获取用户数据
 }
 private Long id;
 private String img; //头像
 private String name; //姓名
 private String pwd; //密码
 private String nickName; //昵称
 private String sex; //性别
 private String phone; //手机号码
 private String level; //等级  0普通 1铜牌 2银牌 3金牌 4铂金
 private Integer score; //积分
 private Integer money; //余额(分)
 private Integer scoreCost; //积分消费额
 private Integer moneyCost; //现金消费额
 private Integer tvCost; //技术视频消费额
 private Integer spCost; //购物消费额
 private Integer childNum; //下线用户数量
 private Long referessId; //推荐人Id
 private Date gmtCreated; //注册时间
 private Integer idDiscuss; //是否为评论帐号(0 否 1是)
 private Integer alreadyPay; //消费过(默认0 否 1是)
 private String token;
 private String realPwd; //评论帐号的密码
 */
function getUserInfoByToken(callblack) {
    var ajax_json = {
        url: getStorage('url_head') + 'getUserInfoByToken.do',
        Progress: 0,
        values: {token: getStorage('token')},
        callback: function (ret) {
            var jsonObject = ret.jsonObject;
            setStorage('user_data', jsonObject);
            if (no_null(jsonObject) && (typeof callblack == "function")) {
                callblack(jsonObject);
            }
        },
        err_callback: function (err) {
            if (getStorage('user_data') && (typeof callblack == "function")) {
                callblack(getStorage('user_data'));
            }
        },
        error_callback: function (err) {
            if (getStorage('user_data') && (typeof callblack == "function")) {
                callblack(getStorage('user_data'));
            }
        },
    }
    goAjax(ajax_json);
}

//是否评论账号
function is_Discuss() {
    if (is_Login()) {
        return (getStorage('user_data').idDiscuss == 1)
    } else {
        return false;
    }

}


function do_userReOrder(dom, callback) {
    var orderNumber = dom.getAttribute('data-orderNumber');
    var id = dom.getAttribute('data-id');
    dom.id = 'pay_btn';
    if (is_app()) {
        api.actionSheet({
            title: '选择支付方式',
            // buttons: ['支付宝支付', '微信支付', '银联支付'],
            buttons: ['支付宝支付', '微信支付'],
        }, function (ret, err) {
            var index = ret.buttonIndex;
            var orderType = 1;
            switch (index) {
                case 1:
                    orderType = 1;
                    getNewOrderNumbe_ajax(orderNumber, function (new_orderNumber) {
                        userReOrder_ajax(id, orderType, new_orderNumber, callback);
                    });
                    break;
                case 2:
                    orderType = 0;
                    getNewOrderNumbe_ajax(orderNumber, function (new_orderNumber) {
                        userReOrder_ajax(id, orderType, new_orderNumber, callback);
                    });
                    break;

            }
        });
    } else {
        getNewOrderNumbe_ajax(orderNumber, function (new_orderNumber) {
            userReOrder_ajax(id, 1, new_orderNumber, callback);
        });

    }
}

function getNewOrderNumbe_ajax(orderNumber, callback) {
    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/getNewOrderNumber.do',

        values: {
            orderNumber: orderNumber,

        },
        callback: function (ret) {
            if (callback) {
                $('#pay_btn').attr('data-orderNumber', ret.orderNumber);
                callback(ret.orderNumber);
            }
        },
        err_callback: function (err) {
            if (err.msg == -6) {
                toastInfo('您操作太频繁了,请稍后重试!');
            } else {
                toastInfo('支付失败,请联系客服!');
            }


        }
    }
    goAjax(ajax_json);
}

function userReOrder_ajax(id, orderType, orderNumber, callback, err_callback) {

    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/userReOrder.do',

        values: {
            id: id,
            orderType: orderType

        },
        callback: function (ret) {
            var pay_type = 'alipay';
            switch (orderType) {
                case 0:
                    pay_type = 'wxPay';
                    break;
                case 1:
                    pay_type = 'alipay';

                    break;
                case 2:
                    pay_type = 'unPay';
                    break;
            }
            do_pay({
                tradeNO: orderNumber,
                money: ret.price,
                pay_type: pay_type,
                callback: function (ret) {
                    if (is_app()) {
                        api.sendEvent({
                            name: 'reload_market_Orders',
                        });
                        api.sendEvent({
                            name: 'reload_order',
                        });
                    }
                    if (callback) {
                        callback(ret)
                    }
                },
                err_callback: function (err) {
                    if (is_app()) {
                        api.sendEvent({
                            name: 'reload_market_Orders',
                        });
                        api.sendEvent({
                            name: 'reload_order',
                        });
                    }
                    if (err_callback) {
                        err_callback(err)
                    }
                }
            })
        },
        err_callback: function (err) {
        }
    }
    goAjax(ajax_json);
}

function userEditSureOrderState_ajax(dom) {
    do_confirm('您购买的商品是否确认收货?', function (ret) {
            var ajax_json = {
                url: getStorage('url_head') + 'userGetJsonInfo/userEditSureOrderState.do',
                values: {
                    id: dom.getAttribute('data-id')
                },
                callback: function (ret) {
                    toastInfo('收货成功!');
                    if (is_app()) {
                      api.sendEvent({
                        name: 'reload_market_Orders',
                      });
                      api.sendEvent({
                        name: 'reload_order',
                      });
                    }
                },
                err_callback: function (err) {
                }
            }
            goAjax(ajax_json);
        }
    )
}

function remindUserorder_ajax(dom) {
    do_confirm('您购买的商品是否提醒发货?', function (ret) {
        var ajax_json = {
            url: getStorage('url_head') + 'userGetJsonInfo/remindUserorder.do',

            values: {
                id: dom.getAttribute('data-id')
            },
            callback: function (ret) {
                toastInfo('提醒成功!');
            },
            err_callback: function (err) {
            },
        }
        goAjax(ajax_json);
    });
}

function get_photo_detail(dom) {
    var clickType = dom.getAttribute('data-clickType');
    var resId = dom.getAttribute('data-resId');
    var resType = dom.getAttribute('data-resType');
    var id = dom.getAttribute('data-id');
    if (clickType == 1) {
        setStorage('this_goods_id', resId);
        setStorage('this_goods_type', resType);
        go_goods_details();
    } else if (clickType == 2) {
        setStorage('this_vadio_id', resId);
        go_show_video();
    } else {
        setStorage('photo_detail_data', getStorage(dom.getAttribute('data-key')));

        if (is_app()) {
            api.openWin({
                name: 'photo_detail',
                url: 'widget://html/user_center/photo_detail.html?id=' + id,
                reload: true,//（可选项）页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
                delay: 0,//（可选项）window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
                scrollToTop: true,//（可选项）当点击状态栏，页面是否滚动到顶部。若当前屏幕上不止一个页面的scrollToTop属性为true，则所有的都不会起作用。只iOS有效
                slidBackEnabled: true,//（可选项）是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只iOS有效
                allowEdit: false,//（可选项）是否允许长按页面时弹出选择菜单
                vScrollBarEnabled: true,//（可选项）是否显示垂直滚动条
                hScrollBarEnabled: false,//（可选项）是否显示水平滚动条
                animation: {
                    type: "none",//动画类型（push//新视图将旧视图推开 movein//新视图移到旧视图上面 flip//翻转效果 reveal//将旧视图移开,显示下面的新视图 curl//向上翻一页 un_curl //向下翻一页 cube //立方体翻滚效果）
                    subType: "from_right",//动画子类型（ from_right  //从右边开始动画 from_left  //从左边开始动画 from_top  //从顶部开始动画 from_bottom  //从底部开始动画）
                    duration: 150,             //动画过渡时间，默认300毫秒
                },

                //pageParam: pageParam,
            });

        } else {
            window.location.href = get_web_head() + 'html/user_center/photo_detail.html'
        }

    }
}

function getAllUseraddress_ajax_onPay(callback) {
    var address_json_key = get_url_json().address_json_key;
    var address_json = getStorage(address_json_key);
    if (no_null(address_json)) {
        set_pay_address(address_json);
    } else {
        var ajax_json = {
            url: getStorage('url_head') + 'userGetJsonInfo/getAllUseraddress.do',

            values: {},
            callback: function (ret) {
                var list = ret.jsonObjectList;
                if (no_null(list)) {
                    var have_Default = false;
                    addClass(byID('no_address'), 'hide');
                    removeClass(byID('have_addres'), 'hide');

                    for (var i in list) {
                        if (list[i].idDefault == 1) {
                            have_Default = true;
                            set_pay_address(list[i], callback);
                        }
                    }
                    if (!have_Default) {
                        set_pay_address(list[0], callback);
                        set_default_address(list[0].id);
                    }
                } else {
                    no_address();
                }
            },
            err_callback: function (err) {
                if (err.msg == 0) {
                    no_address();
                }
            }
        }
        goAjax(ajax_json);

        function no_address() {
            toastInfo('请输入收货地址!', true);
            addClass(byID('have_addres'), 'hide');
            removeClass(byID('no_address'), 'hide');
            set_webGetExpressCost();
        }
    }
}

function set_webGetExpressCost() {
    var json = {
        goodsIds: goodsIds.join(','),
        nums: nums.join(','),
        useraddressId: useraddressId,
        goodsizedescIds: goodsizedescIds.join(','),
    };
    if (is_developer()) {
        console.log('set_webGetExpressCost' + jsonToStr(json));
    }
    if (no_null(goodsIds) && no_null(goodsizedescIds)) {

        webGetExpressCost_ajax(json)
    }
}


function reload_pay_address() {
    if (is_app()) {
        api.addEventListener({
            name: 'reload_pay_address'
        }, function (ret, err) {
            getAllUseraddress_ajax_onPay();
        });
    } else {
        getAllUseraddress_ajax_onPay();

    }
}

function do_login_out(isDel = false) {
    var values = {};
    var url = '';
    if (isDel) {
      url = 'userGetJsonInfo/userEditUserInfo.do'
      values.isDel = 1;
    } else {
      url = 'userloginout.do';
    }
    do_confirm(isDel ? '确定要注销账户吗？注销将永久无法登陆' : '您确定要退出吗？', function () {
      var ajax_json = {
        url: getStorage('url_head') + url,
        Progress: 0,
        values,
        callback: function (ret) {
          if (isDel) {
            toastInfo('注销成功!', true);
          } else {
            toastInfo('退出登录成功!', true);
          }
          rmStorage('is_Login');
          rmStorage('token');
          rmStorage('user_data');
          rmStorage('loginAgree')
          if (is_app()) {
            api.setAppIconBadge({
              badge: 0,
            });
          }
          go_root(true);
        },
        err_callback: function (err) {

        }
      }
      goAjax(ajax_json);
    })

}


//设置公告数据
function set_announcement(txt) {
    var key = getHtmlName() + '_announcement';
    var txt2 = '';
    if (txt.indexOf('n/') > 0) {
        var strs = txt.split("n/");
        for (var i = 0; i < strs.length; i++) {
            txt2 += strs[i] + '       '
        }
    } else {
        txt2 = txt;
    }
    byID('announcement').innerHTML = txt2;
    byID('announcement').setAttribute('data-key', key);
    setStorage(key, txt);
}

//跳转到公告详情
function show_announcement(dom) {
    var dom = byID('announcement');
    // console.log(dom.getAttribute('data-announcement'))
    var key = dom.getAttribute('data-key');
    var data = getStorage(key);
    data.headerText = '公告详情';
    if (no_null(data)) {
        // console.log(jsonToStr(data));
        setStorage('msg_data', data);
        go_message_details(data);
    }
}


function set_pay_address(json, callback) {
    byID('name').innerHTML = '收货人：' + json.name;
    byID('phone').innerHTML = json.phone;
    byID('details').innerHTML = json.sheng + json.shi + json.qu + json.details;
    useraddressId = json.id;
    if (callback) {
        callback(json);
    }
    try {
        set_webGetExpressCost();
    } catch (e) {

    }


}


function webGetExpressCost_ajax(json, callblack) {
    var ajax_json = {
        url: getStorage('url_head') + 'webGetExpressCost.do',
        values: {
            goodsIds: json.goodsIds,
            nums: json.nums,
            useraddressId: json.useraddressId,
            goodsizedescIds: json.goodsizedescIds,
        },
        callback: function (ret) {
            if (no_null(ret.expressCost)) {
                try {
                    var arr = ret.expressCost;
                    var all_expressCost = 0;
                    for (var i in arr) {
                        all_expressCost += arr[i]
                    }
                    priceCount = goods_priceCount + all_expressCost;
                    set_priceCount(priceCount, all_expressCost);
                } catch (e) {

                }
            }
            if (callblack) {
                callblack(ret)
            }
        },
        no_err: 1,
        err_callback: function (err) {
        }
    }
    goAjax(ajax_json);
}

function set_priceCount(priceCount, carryCostCount) {
    if (byID('priceCount')) {
        byID('priceCount').innerHTML = '￥' + parse_cost(priceCount);
    }
    if (byID('carryCostCount')) {
        byID('carryCostCount').innerHTML = '￥' + parse_cost(carryCostCount);
    }

}

function get_select_img(json) {
    if (json.idDefault == 1) {
        address_json = json;
        return '<img src="../../images/dagou4.png" class="select_img">';
    } else {
        return '<img src="../../images/no_se.png" class="no_select_img">';
    }
}

function change_select(dom) {
    byQuery('.select_img').src = '../../images/no_se.png';
    byQuery('.select_img').className = 'no_select_img';
    byQuery('.no_select_img', dom).src = '../../images/dagou4.png';
    byQuery('.no_select_img', dom).className = 'select_img';

}

function set_default_address(id, callblack) {
    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/addOrEditUseraddress.do',
        values: {
            id: id,
            idDefault: 1,
        },
        callback: function (ret) {
            if (callblack) {
                callblack(ret)
            }
        },
        err_callback: function (err) {
        }
    }
    goAjax(ajax_json);
}

/*是否为正整数*/
function isPositiveNum(s) {
    return /^[0-9]*[1-9][0-9]*$/.test(s);
}

function forcePositiveNum(dom) {
    if (!isPositiveNum(dom.value)) {
        dom.value = 1;
    }
}

function showProgress(modal, text, title) {
    if (is_app()) {
        api.showProgress({modal: modal, title: title || '', text: text || '',});
    }
}

function hideProgress() {
    if (is_app()) {
        api.hideProgress();
    }
}

//浏览器下载文件  fileName:文件名    content:文件内容
function downloadFile(fileName, content) {
    var aLink = document.createElement('a');
    var blob = new Blob([content]);
    var evt = document.createEvent("HTMLEvents");
    evt.initEvent("click", false, false);
    /*initEvent 不加后两个参数在FF下会报错*/
    aLink.download = fileName;
    aLink.href = URL.createObjectURL(blob);
    aLink.dispatchEvent(evt);
}

function del_this_address(dom) {
    var id = dom.getAttribute('data-id');
    if (is_app()) {
        api.actionSheet({
            title: '确定删除该地址吗?',
            cancelTitle: '取消',
            destructiveTitle: '确定',
            // buttons: ['确定']
        }, function (ret, err) {
            if (ret.buttonIndex == 1) {
                delUseraddress_ajax(id);
            }
        });
    } else if (confirm("确定删除该地址吗？")) {
        delUseraddress_ajax(id);
    }

}

function delUseraddress_ajax(id) {
    // var id = dom.getAttribute('data-id');
    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/delUseraddress.do',

        values: {id: id,},
        callback: function (ret) {
            toastInfo('删除成功!');
            addClass(byID(id), 'hide');

        },
        err_callback: function (err) {
            toastInfo('删除失败!请稍后尝试.');

        }
    }
    goAjax(ajax_json);
}

function del_img(dom) {
    // $("photoList").on("taphold", function () {
    if (is_app()) {

        api.actionSheet({
            title: '确定是否删除图片?',
            buttons: ['确定删除']
        }, function (ret, err) {
            var index = ret.buttonIndex;
            switch (index) {
                case 1:
                    do_del_img(dom);
                    break;
            }
        });
    } else {
        if (confirm("确定是否删除图片？")) {
            do_del_img(dom);
        }
    }
    // });
}

function do_del_img(dom) {
    img_arr = Array_remove(img_arr, $(dom).find('img').attr('src'));
    $(dom).remove();
}

function do_confirm(title, callblack) {
    if (is_app()) {
        api.actionSheet({
            title: title,
            buttons: ['确定']
        }, function (ret, err) {
            var index = ret.buttonIndex;
            switch (index) {
                case 1:
                    if (callblack) {
                        callblack(title);
                    }
                    break;
            }
        });
    } else if (confirm(title)) {
        if (callblack) {
            callblack(title);
        }
    }
}

function delUserorder_ajax(dom) {
    do_confirm('确定是否删除订单?', function (ret) {
        do_delUserorder_ajax(dom);
    });
}

function do_delUserorder_ajax(dom) {

    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/delUserorder.do',

        values: {
            id: dom.getAttribute('data-id')

        },
        callback: function (ret) {
            toastInfo('删除成功!');
            if (is_app()) {
                if (dom.getAttribute('data_page') == 'order_details') {
                    closeWin();
                }
                api.sendEvent({
                    name: 'reload_market_Orders',
                });
            } else {
                addClass(byID('shopCommodity_' + dom.getAttribute('data-id')), 'hide');
            }
        },
        err_callback: function (err) {
            toastInfo('删除失败!');

        }
    }
    goAjax(ajax_json);
}


function show_footer() {
    if (!is_app()) {
        removeClass(byID('footer'), 'hide');
        byID('app_top').style.height = '0px';
    }
    if (byQuery('.containHasHeader')) {
        byQuery('.containHasHeader').style.paddingBottom = '1rem';
    }

}

function hide_footer() {
  if (!is_app()) {
    addClass(byID('footer'), 'hide');
    byID('app_top').style.height = '0px';
  }
  if (byQuery('.containHasHeader')) {
    byQuery('.containHasHeader').style.paddingBottom = 0;
  }

}

function get_comment_imgs(imgs, rimgs) {
    var html = '';
    if (imgs) {
        // console.warn('imgs:'+imgs);
        var List = imgs.split(',');
        var RList = rimgs.split(',');
        if (imgs.indexOf(',') < 0) {
            List = [imgs];
            RList = [rimgs];
        }
        for (var i in List) {
            var data_imgs = imgs;
            if (no_null(rimgs)) {
                data_imgs = rimgs;
            }
            if (is_app()) {
                // html += ' <li class="commentImg fl" data-imgs="' + data_imgs + '" data-index="' + i + '" onclick="show_this_comment_img(this)"><img src="' + List[i] + '"></li> '
                html += ' <li class="commentImg fl" data-imgs="' + data_imgs + '" data-index="' + i + '" onclick="show_this_comment_img(this)" style="background: url('+ List[i] +') center 0 / cover"><img style="display: none;" src="' + List[i] + '"></li>'
            } else {
                html += '<li itemprop="associatedMedia" itemscope class="commentImg fl"> <div class="task_img_div" href="' + RList[i] + '" itemprop="contentUrl" data-size="1024x1024"><img src="' + List[i] + '" onload="getSize(this)" itemprop="thumbnail" alt="Image description" /> </div> <figcaption itemprop="caption description"></figcaption> </li> '
            }
        }
    }
    return html;
}

function show_this_comment_img(dom) {
    var arr = dom.getAttribute('data-imgs').split(',');
    imageBrowser_open(arr, dom.getAttribute('data-index'));
}

function parse_cost(cost) {
    if (no_null(cost) && (parseInt(cost) > 0)) {
        return (division(cost, 100)).toFixed(2);
    } else {
        return 0;
    }
}


function go_order_details(id, type) {
    // C:\Workspace_APICloud\王英\html\user_center\orders_list.html
    setStorage('this_orders_id', id);
    openWin('order_details', '../market/order_details.html?type=' + type, true);
}

function stopPropagation() {
    event.stopPropagation();
}


function fixIos7Bar() {
    var strDM = api.systemType;
    if (strDM == 'ios') {
        var strSV = api.systemVersion;
        var numSV = parseInt(strSV, 10);
        var fullScreen = api.fullScreen;
        var iOS7StatusBarAppearance = api.iOS7StatusBarAppearance;
        if (numSV >= 7 && !fullScreen && iOS7StatusBarAppearance) {
            return 15;
        } else {
            return 0;
        }
    }
};

function fixStatusBar(el, el2) {
    if (!is_app()) {
        return 0;
    }
    var sysType = api.systemType;
    if (sysType == 'ios') {
        return fixIos7Bar();
    } else if (sysType == 'android') {
        var ver = api.systemVersion;
        ver = parseFloat(ver);
        if (ver >= 4.4) {
            return 20;
        } else {
            return 0;
        }
    }
};

function get_endtime(gmtCreated) {
    if (no_null(gmtCreated)) {
        return gmtCreated;
    } else {
        return '无限期';
    }

}

function get_rem() {
    return document.documentElement.clientWidth / 7.5;
}

function Number_processing(num) {
    var return_txt = num;
    if (parseInt(num) > 10000) {
        return_txt = division(num, 10000).toFixed(2) + '万';
        if (parseInt(num) > 100000000) {
            return_txt = division(num, 100000000).toFixed(2) + '亿';
        }
    }
    return return_txt;
}

//获取url传参数
function get_url_json(out_url) {
    //获取url中"?"符后的字串
    var url = window.location.search;
    if (no_null(out_url)) {
        url = out_url;
        if (url.indexOf("?") > 0) {
            url = out_url.split("?")[1];
        }
    }
    var json = {};
    var str = url;
    if (url.indexOf("?") != -1) {
        //消除?号
        var str = url.substr(1);

    }
    // console.log("get_url_json_url:"+url)
    var strs = str.split("&");
    for (var i = 0; i < strs.length; i++) {
        json[strs[i].split("=")[0]] = strs[i].split("=")[1];
    }
    return json;
}

function ClearNullArr(arr) {
    for (var i = 0, len = arr.length; i < len; i++) {
        if (!arr[i] || arr[i] == '' || arr[i] === undefined) {
            arr.splice(i, 1);
            len--;
            i--;
        }
    }
    return arr;
}

function keyback(callback) {
    if (is_app()) {
        api.addEventListener({
            name: 'keyback'
        }, function (ret, err) {
            if (callback) {
                callback(ret);
            }
        });
    }

}

function setFullScreen(id) {
    $(".zy_fullscreen_btn").click(function () {
        if (!is_app()) {
            return;
        }
        var fullscreen = $(this).attr('data-fullscreen');
        console.log($(this).attr('data-fullscreen'));
        if ($(this).attr('data-fullscreen') != 1) {
            $(this).attr('data-fullscreen', 1);
            console.log($(this).attr('data-fullscreen'));
            api.setScreenOrientation({
                orientation: 'landscape_left'
            });
            var closeWin_key = false;
            api.addEventListener({
                name: 'keyback'
            }, function (ret, err) {
                if (ret) {
                    /*        console.log($(this).attr('data-fullscreen'));
                     $(this).attr('data-fullscreen', 0);
                     console.log($(this).attr('data-fullscreen'));
                     api.setScreenOrientation({
                     orientation: 'portrait_up'
                     });
                     api.setFullScreen({
                     fullScreen: false
                     });
                     if (closeWin_key) {*/
                    closeWin();
                    /*   } else {
                     closeWin_key = true;
                     }*/
                }
            });
        } else {
            $(this).attr('data-fullscreen', 0);
            console.log($(this).attr('data-fullscreen'));
            api.setScreenOrientation({
                orientation: 'portrait_up'
            });
            /*   api.setFullScreen({
             fullScreen: false
             });*/

        }
    });
}

function get_detailsPrice(Pirce) {
    var int = (parseInt(Pirce * 0.01)).toFixed(0);
    var old = parse_cost(Pirce);
    var old_txt = old.toString();
    var decimal = old_txt.substring(old_txt.lastIndexOf(".") + 1);
    /* console.log(int);
     console.log(old);
     console.log(decimal);*/

    if (int == old) {
        return '<b class="cost_b">&#xA5;</b> ' + int;
    } else {
        return '<b class="cost_b">&#xA5;</b> ' + int + '<span class="cost_span">.' + decimal + '</span>';
    }
}

function close_share() {
    $('#Share_Base').hide();
    // addClass(byID('ShareBase'), 'hide');
    // console.log(byID('ShareBase').className)

}

function do_share2(dom) {
    if (is_Login() && is_app()) {
        $('#Share_Base').show();
        $('.meShareGroup').click(function () {
            stopBubble();
        })
        $('#Share_Base').not('.meShareGroup').click(function () {
            $('#famous').hide();

        });
    }
}

//去除recAgent参数
function removeRecAgent(url){
    var newUrl = url.split("?")[0] + "?";
    var params = url.split("?")[1].split("&");
    for(var i = 0; i < params.length; i++) {
        if(params[i].indexOf("recAgent") === -1) {
            newUrl += params[i];
        }
    }
    return newUrl;
}
function this_share(dom) {
    var share_type = dom.getAttribute('data-share');
    var url = byID('Share_Base').getAttribute('data-url');

    console.log('url:' + url);
    var referessId = 0;
    var user_data = getStorage('user_data');
    var url_2;
    if (no_null(byID('Share_Base').getAttribute('data-share_url'))) {
        url_2 = byID('Share_Base').getAttribute('data-share_url')
    }

    console.log('url_2:' + url_2);
    if (no_null(user_data.id)) {
        referessId = user_data.id;
    } else {
        getUserInfoByToken(function (ret) {
            referessId = ret.jsonObject.id;
        });
    }
    if (is_null(url)) {
        url = getStorage('web_head') + 'html/invite.html';
        if (getStorage('is_Login') == 1 && getStorage('user_data')) {
            url += '?Base64Token=' + getStorage('user_data').id;
        }
        if (!if_agentLevel_0()) {
            // url += "&recAgent=1";
        }
    }
    if (is_null(url_2)) {
        url_2 = getStorage('web_head') + 'html/invite.html';
        if (getStorage('is_Login') == 1 && getStorage('user_data')) {
            url_2 += '?Base64Token=' + getStorage('user_data').id;
        }
        if (!if_agentLevel_0()) {
            // url_2 += "&recAgent=1";
        }
    }

    var title = '厨艺宝';
    var data_title = byID('Share_Base').getAttribute('data-title');
    if (data_title) {
        title = data_title;
    }
    var share_callblack = function () {
        close_share();
    };
    var is_share_img = (dom.getAttribute('data-type') == 'img');

    var shareImg = byID('Share_Base').getAttribute('data-shareImg');
    var subTitle = byID('Share_Base').getAttribute('data-subTitle');
    if (share_type == 'weixing') {
        if (is_share_img) {
            wx_shareIimg({
                scene: 'session',
                contentUrl: url,
                shareImg: shareImg,
                callblack: share_callblack,
                subTitle: subTitle,

            })
        } else {
            wx_shareWebpage({
                scene: 'session',
                contentUrl: url,
                title: title,
                shareImg: shareImg,
                callblack: share_callblack,
                subTitle: subTitle,

            })
        }
    } else if (share_type == 'friend') {
        if (is_share_img) {
            wx_shareIimg({
                scene: 'timeline',
                contentUrl: url,
                shareImg: shareImg,
                callblack: share_callblack,
                subTitle: subTitle,

            })
        } else {
            wx_shareWebpage({
                scene: 'timeline',
                contentUrl: url,
                shareImg: shareImg,
                callblack: share_callblack,
                subTitle: subTitle,
            })
        }
    } else if (share_type == 'QQ') {
        close_share();
        if (is_share_img) {
            qq_share_img({
                type: 'QFriend',
                url: url,
                shareImg: shareImg,
                callblack: share_callblack,
                subTitle: subTitle,
            })
        } else {
            qq_shareNews({
                type: 'QFriend',
                url: url,
                title: title,
                description: title,
                shareImg: shareImg,
                callblack: share_callblack,
                subTitle: subTitle,
            })
        }
    } else if (share_type == 'QQ_base') {
        close_share();
        qq_shareNews({
            type: 'QZone',
            url: url_2,
            title: title,
            description: title,
            shareImg: shareImg,
            callblack: share_callblack,
            subTitle: subTitle,
        })
    } else if (share_type == 'sin') {
        weibo_share({
            url: url_2,
            title: title,
            shareImg: shareImg,
            callblack: share_callblack,
            subTitle: subTitle,
        })
    } else if (share_type == 'copy') {
        var copyShareType = localStorage.getItem('copyShareType');
        if(copyShareType == '1') {
            url_2 = removeRecAgent(url_2);
        }
        do_copy(url_2, share_callblack);
    }
}
function do_copy(txt, callblack, successText) {
    if (is_app()) {
        var clipBoard = api.require('clipBoard');
        clipBoard.set({
            value: txt,
        }, function (ret, err) {
            if (ret) {
                if (typeof callblack == "function") {
                    callblack(ret);
                }
                toastInfo(successText || '复制成功');
                console.log('ret:' + JSON.stringify(ret));
            } else {
                console.log('err:' + JSON.stringify(err));
            }
        });
    } else {
        // no_app_clipboard(txt, '.copyBtn', callblack);
        /*
         if (window.clipboardData.setData('Text', txt)) {// 赋予 text 格式的数据
         if (typeof callblack == "function") {
         callblack(ret);
         }
         alert('复制成功');
         }*/

    }

}

function no_app_clipboard(txt, dom_key, callblack) {
    var clipboard = new Clipboard(dom_key, {
        text: function () {
            return txt;
        }
    });
    clipboard.on('success', function (e) {
        console.log(JSON.stringify(e));
        alert('已经复制到剪切板');
        if (typeof callblack == "function") {
            callblack();
        }
    });

    clipboard.on('error', function (e) {
        console.log(JSON.stringify(e));
    });
    setTimeout(function () {
        document.querySelector(dom_key).click();
    }, 500);
}

function do_getUnreadCount() {
    if (is_app()) {

        api.addEventListener({
            name: 'noticeclicked'
        }, function (ret, err) {
            go_qiyu();
        });
        getUnreadCount(function (ret) {
            // console.log(jsonToStr(ret));
            /* if (ret != 0) {
             api.notification({
             light: false,
             notify: {
             content: '您有' + ret + '条信息请注意查收!',
             updateCurrent: true,
             extra: jsonToStr(ret),
             },
             }, function (ret, err) {
             // console.log('notification:' + jsonToStr(ret));
             });
             }*/
        })
    }
}

//获取客户未读消息
function getUnreadCount(callBlack) {
  return 0;
    if (is_app()) {
        var qiyuSdk = api.require('qiyuSdk');
        qiyuSdk.getUnreadCount(
            function (ret) {
                if (callBlack && no_null(ret)) {
                    callBlack(ret)
                }
            }
        );
    } else {
        if (callBlack) {
            callBlack(0)
        }
    }
}

function get_referessId() {
    // if (!is_app()) {
    var json = get_url_json();
    var referessId = json.referessId;
    if (no_null(referessId) && referessId != 0) {
        setStorage('referessId', referessId);
        return referessId;
    } else if (no_null(getStorage('referessId'))) {
        referessId = getStorage('referessId');
        return referessId;
    } else {
        return 0;
    }
    // }
}

function get_my_referessId() {
    if (getStorage('is_Login') == 1) {
        var user_data = getStorage('user_data');
        if (no_null(user_data)) {
            return user_data.id;
        } else {
            getUserInfoByToken(function (jsonObject) {
                return jsonObject.id;
            });
        }
    } else {
        return '';
    }
}

function do_clipboard(txt, key) {
    var clipboard = new Clipboard(key, {
        text: function () {
            return txt;
        }
    });
    clipboard.on('success', function (e) {
        if (is_Login()) {
            console.log(JSON.stringify(e));
            alert('已经复制到剪切板.');
        }
    });

    clipboard.on('error', function (e) {
        console.log(JSON.stringify(e));
    });
}

function download_app() {
    /* if (navigator.userAgent.match(/(iPhone|iPod|iPad);?/i)) {
     var loadDateTime = new Date();
     window.setTimeout(function () {
     var timeOutDateTime = new Date();
     if (timeOutDateTime - loadDateTime < 5000) {
     window.location.href = 'http://a.app.qq.com/o/simple.jsp?pkgname=youi.tech.com.wangying';
     } else {
     window.close();
     }
     },
     25);
     window.location = "wangying://?referessId=" + get_my_referessId();
     } else if (navigator.userAgent.match(/android/i)) {
     var state = null;
     try {
     state = window.open("wangying://?referessId=" + get_my_referessId(), '_blank');
     } catch (e) {
     }
     if (state) {
     window.close();
     } else {
     window.location.href = 'http://a.app.qq.com/o/simple.jsp?pkgname=youi.tech.com.wangying';
     }
     }*/
    window.location.href = 'http://a.app.qq.com/o/simple.jsp?pkgname=youi.tech.com.wangying';

}


function add_getScore_div(getScore) {
    if (no_null(getScore)) {
        var wrap = '<div class="mask" id="add_score_div" onclick="hide_mask()"> <div class="add_score_div"> <div class="famous_Close" onclick="hide_mask()"> <img src="../../images/guanbi.png" alt=""> </div><div onclick="stopBubble()"> <div style="font-size: 0.36rem;margin-top: 0.5rem;width: 100%;text-align: center;"><p class="inline">亲,恭喜您获得</p> <span class="inline conOrdTotal" id="add_score">' + getScore + '</span> <p class="inline">积分</p></div> <p style="font-family: PingFangSC-Regular;font-size: 0.24rem;color: #3A3A3A;width: 100%;text-align: center;margin-top: 0.12rem;"> 您可前往积分商城兑换物品或购买技术使用</p> <ul style="margin-top: 0.6rem;width: 100%;color: white;font-size: 0.28rem;height: 0.7rem;line-height: 0.7rem;"> <li style="background-color: #FF5000 ;" class="fl add_score_btn"  onclick="go_score_shop()">积分商城</li> <li style="background-color: #B53322 ;" class="fl add_score_btn"   onclick="go_add_score()">赚取积分</li> </ul> </div></div></div>';
        $('body').append(wrap);
    }
}


function add_getScore_back(getScore) {
    if (no_null(getScore)) {
        var wrap = '<div class="mask" id="add_score_div" onclick="go_root()"> <div class="add_score_div"> <div class="famous_Close" onclick="go_root()"> <img src="../../images/guanbi.png" alt=""> </div><div onclick="stopBubble()"> <div style="font-size: 0.36rem;margin-top: 0.5rem;width: 100%;text-align: center;"><p class="inline">亲,恭喜您获得</p> <span class="inline conOrdTotal" id="add_score">' + getScore + '</span> <p class="inline">积分</p></div> <p style="font-family: PingFangSC-Regular;font-size: 0.24rem;color: #3A3A3A;width: 100%;text-align: center;margin-top: 0.12rem;"> 您可前往积分商城兑换物品或购买技术使用</p> <ul style="margin-top: 0.6rem;width: 100%;color: white;font-size: 0.28rem;height: 0.7rem;line-height: 0.7rem;"> <li style="background-color: #FF5000 ;" class="fl add_score_btn"  onclick="go_score_shop()">积分商城</li> <li style="background-color: #B53322 ;" class="fl add_score_btn"   onclick="go_add_score()">赚取积分</li> </ul> </div></div></div>';
        $('body').append(wrap);
    }
}

function hide_mask() {
    $('.mask').addClass('hide');
}

function go_score_shop() {
    if (is_Login()) {
        if (is_app()) {
            openWin('score_shop', '../market/score_shop.html');
        } else {
            window.location.href = 'http://www.yuweixiangmeishi.cn/html/market/score_shop.html'
        }
    }
}

function go_add_score() {
    if (is_Login()) {
        if (is_app()) {
            openWin('score_add', '../market/score_add.html');
        } else {
            window.location.href = 'http://www.yuweixiangmeishi.cn/html/market/score_add.html'

        }
    }
}

function getAllUseruUnReadScoreRecord_ajax() {

    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/getAllUseruUnReadScoreRecord.do',
        // dataType:'text',
        values: {},

        callback: function (ret) {
            // add_getScore_div(ret.getScore);
        },
        err_callback: function (err) {


        },
        no_out: 0,
    }
    goAjax(ajax_json);
}


function listen_reload_msg_num(callback) {
    if (is_app()) {
        if (is_app()) {
            api.addEventListener({
                name: 'reload_msg_num'
            }, function (ret, err) {
                console.log(getHtmlName() + 'reload_msg_num');
                if (callback) {
                    callback(ret)
                }
            });
        }
    }
}

function app_download(url, callback, showProgress) {
    if (is_app()) {
        if (!url) {
            if (callback) {
                callback(false);
            }
            return;
        }
        var last_name = url.substr(url.lastIndexOf('/') + 1);
        var savePath = 'fs://Download/' + last_name;
        savePath = savePath.replace(/.jpg/, '.png');
        // if(opWithPermission('storage', '需要获取存储权限用于保存图片，进行分享等操作')) {
            api.download({
                url: url,
                savePath: savePath,
                report: true,
                cache: false,
                allowResume: true
            }, function (ret) {
                console.log('文件大小：' + ret.fileSize + '；下载进度：' + ret.percent + '；下载状态' + ret.state + '存储路径: ' + ret.savePath)
                if (showProgress && callback) {
                  callback(ret.savePath, ret.percent);
                }
                if (ret.state == 1 && ret.savePath) {
                    if (callback) {
                        callback(ret.savePath, ret.percent);
                    }
                }
            })
        // }
    }

}


function getSize(e) {
    var img = new Image();
    img.src = e.src;
    var W1 = img.width;
    var H1 = img.height;
    $(e).parent().attr('data-size', W1 + 'x' + H1);
}

var initPhotoSwipeFromDOM = function (gallerySelector) {
    var parseThumbnailElements = function (el) {
        var thumbElements = el.childNodes,
            numNodes = thumbElements.length,
            items = [],
            liEl,
            linkEl,
            size,
            item;
        for (var i = 0; i < numNodes; i++) {
            liEl = thumbElements[i]; // <figure> element
            if (liEl.nodeType !== 1) {
                continue;
            }
            linkEl = liEl.children[0]; // <a> element
            size = linkEl.getAttribute('data-size').split('x');
            item = {
                src: linkEl.getAttribute('href'),
                w: parseInt(size[0], 10),
                h: parseInt(size[1], 10)
            };
            if (liEl.children.length > 1) {
                // <figcaption> content
                item.title = liEl.children[1].innerHTML;
            }

            if (linkEl.children.length > 0) {
                // <img> thumbnail element, retrieving thumbnail url
                item.msrc = linkEl.children[0].getAttribute('src');
            }

            item.el = liEl; // save link to element for getThumbBoundsFn
            items.push(item);
        }

        return items;
    };

    // find nearest parent element
    var closest = function closest(el, fn) {
        return el && (fn(el) ? el : closest(el.parentNode, fn));
    };

    // triggers when user clicks on thumbnail
    var onThumbnailsClick = function (e) {
        e = e || window.event;
        e.preventDefault ? e.preventDefault() : e.returnValue = false;

        var eTarget = e.target || e.srcElement;

        // find root element of slide
        var clickedListItem = closest(eTarget, function (el) {
            return (el.tagName && el.tagName.toUpperCase() === 'LI');
        });

        if (!clickedListItem) {
            return;
        }

        // find index of clicked item by looping through all child nodes
        // alternatively, you may define index via data- attribute
        var clickedGallery = clickedListItem.parentNode,
            childNodes = clickedListItem.parentNode.childNodes,
            numChildNodes = childNodes.length,
            nodeIndex = 0,
            index;

        for (var i = 0; i < numChildNodes; i++) {
            if (childNodes[i].nodeType !== 1) {
                continue;
            }

            if (childNodes[i] === clickedListItem) {
                index = nodeIndex;
                break;
            }
            nodeIndex++;
        }


        if (index >= 0) {
            // open PhotoSwipe if valid index found
            openPhotoSwipe(index, clickedGallery);
        }
        return false;
    };

    // parse picture index and gallery index from URL (#&pid=1&gid=2)
    var photoswipeParseHash = function () {
        var hash = window.location.hash.substring(1),
            params = {};

        if (hash.length < 5) {
            return params;
        }

        var vars = hash.split('&');
        for (var i = 0; i < vars.length; i++) {
            if (!vars[i]) {
                continue;
            }
            var pair = vars[i].split('=');
            if (pair.length < 2) {
                continue;
            }
            params[pair[0]] = pair[1];
        }

        if (params.gid) {
            params.gid = parseInt(params.gid, 10);
        }

        return params;
    };

    var openPhotoSwipe = function (index, galleryElement, disableAnimation, fromURL) {
        var pswpElement = document.querySelectorAll('.pswp')[0],
            gallery,
            options,
            items;

        items = parseThumbnailElements(galleryElement);

        // define options (if needed)

        options = {

            // define gallery index (for URL)
            galleryUID: galleryElement.getAttribute('data-pswp-uid'),

            getThumbBoundsFn: function (index) {
                // See Options -> getThumbBoundsFn section of documentation for more info
                var thumbnail = items[index].el.getElementsByTagName('img')[0], // find thumbnail
                    pageYScroll = window.pageYOffset || document.documentElement.scrollTop,
                    rect = thumbnail.getBoundingClientRect();

                return {x: rect.left, y: rect.top + pageYScroll, w: rect.width};
            }

        };

        // PhotoSwipe opened from URL
        if (fromURL) {
            if (options.galleryPIDs) {
                // parse real index when custom PIDs are used
                // http://photoswipe.com/documentation/faq.html#custom-pid-in-url
                for (var j = 0; j < items.length; j++) {
                    if (items[j].pid == index) {
                        options.index = j;
                        break;
                    }
                }
            } else {
                // in URL indexes start from 1
                options.index = parseInt(index, 10) - 1;
            }
        } else {
            options.index = parseInt(index, 10);
        }

        // exit if index not found
        if (isNaN(options.index)) {
            return;
        }

        if (disableAnimation) {
            options.showAnimationDuration = 0;
        }

        // Pass data to PhotoSwipe and initialize it
        gallery = new PhotoSwipe(pswpElement, PhotoSwipeUI_Default, items, options);
        gallery.init();
    };

    // loop through all gallery elements and bind events
    var galleryElements = document.querySelectorAll(gallerySelector);

    for (var i = 0, l = galleryElements.length; i < l; i++) {
        galleryElements[i].setAttribute('data-pswp-uid', i + 1);
        galleryElements[i].onclick = onThumbnailsClick;
    }

    // Parse URL and open gallery if it contains #&pid=3&gid=1
    var hashData = photoswipeParseHash();
    if (hashData.pid && hashData.gid) {
        openPhotoSwipe(hashData.pid, galleryElements[hashData.gid - 1], true, true);
    }
};

function is_developer() {
    var developer = getStorage('developer');
    if (developer) {
        return (developer == 1);
    } else {
        setStorage('developer', 0)
        return false;
    }
}

function get_url_HtmlName(url) {
    //获取主机地址之后的目录，如： myproj/view/my.jsp
    var pathName = url;
    var html_name = pathName.substring(pathName.lastIndexOf("/") + 1);
    html_name = html_name.substring(0, html_name.lastIndexOf("."));
    return html_name;
}

function no_href() {
    if (is_app()) {
        // console.log('no_href');
        setTimeout(function () {

            $('a').each(function () {
                var href = $(this).attr('href');
                // console.log('href:' + href);
                $(this).click(function () {
                    if ((href.indexOf('yuweixiangmeishi') > 0) && is_app()) {
                        var win = '../' + href.substring(href.lastIndexOf("/html/") + 6);
                        // console.log(win);
                        if (is_Login()) {
                            openWin(get_url_HtmlName(win), win);
                        }
                    } else if (href.indexOf('ahywx.qiyukf.com') > 0) {
                        /*   var json = get_url_json(href);
                           console.log(jsonToStr(json))
                           var gid;
                           for (var i in json) {
                               if (i.indexOf("gid") > 0) {
                                   gid = json[i];
                               }
                           }*/
                        open_qiyu(get_url_json(href).gid);
                    } else {
                        go_UIWebBrowser(href);
                    }
                });
                $(this).attr('href', 'javascript:;');
            })
        }, 500)
    }
}

function hide_ZZTJ() {
    $('a').each(function () {
//        console.log($(this).html())
        if ($(this).html() == '站长统计') {
            $(this).hide();
        }
    });
}


function getUserspcarSize_ajax() {
    // do_getUserspcarSize();
    if (is_app()) {
        if ($('#car_num').attr('data') != 1) {
            api.addEventListener({
                name: 'reload_userGetGoodsdiscuss_ajax'
            }, function (ret, err) {
                do_getUserspcarSize();
            });
            $('#car_num').attr('data', 1);
        }
        api.sendEvent({
            name: 'reload_userGetGoodsdiscuss_ajax',
        });
    } else {
        do_getUserspcarSize();
    }

    function do_getUserspcarSize() {
        if (getStorage('is_Login') == 1 && byID('car_num')) {
            if (getStorage('car_num')) {
                show_dom('#car_num');
                byID('car_num').innerHTML = getStorage('car_num');
            }
            var ajax_json = {
                url: getStorage('url_head') + 'userGetJsonInfo/getUserspcarSize.do',
                values: {},
                callback: function (ret) {
                    var size = ret.size;
                    if (byID('car_num')) {
                        if (size == 0) {
                            hide_dom('#car_num');
                        } else {
                            show_dom('#car_num');
                        }
                        byID('car_num').innerHTML = size;
                    }
                    setStorage('car_num', size);
                },
                err_callback: function (err) {
                    hide_dom('#car_num');
                },
                error_callback: function (err) {
                    hide_dom('#car_num');
                }
            }
            goAjax(ajax_json);
        } else {
            hide_dom('#car_num');
        }
    }

}

function if_agentLevel_0() {
    if (getStorage('user_data')) {
        if ((getStorage('user_data').agentLevel == 2) || (getStorage('user_data').agentLevel == 1)) {
            return false;
        } else {
            return true;
        }
    }
}

function if_agentLevel_2() {
    if (getStorage('user_data')) {
        if (getStorage('user_data').agentLevel == 2) {
            return true;
        } else {
            return false;
        }
    }
}

function EWM_share() {
    var levelNum = getStorage('user_data').agentLevel;
    if (if_agentLevel_0()) {
        share_QrImg();
    } else if(levelNum == 1){
        show_dom("#sales");
    } else {
        share_RecAgentQrImg(1);
    }
}

function share_QrImg() {
    hide_dom('#sales');
    userGetQrImg_ajax(function (EWM_img) {
        // byID('Share_Base').setAttribute('data-url', EWM_img);
        $("#Share_Base").attr("data-url", EWM_img);
        var share_url_userGet = getStorage('web_head') + '/html/invite.html?Base64Token=' + getStorage('user_data').id;
        var share_url_RecAgent = share_url_userGet + "&recAgent=1";
        $("#Share_Base").attr("data-url", EWM_img);
        $("#Share_Base").attr("data-share_url", share_url_userGet);

    });
    do_share2(this);

}

function change_phone(str) {
    if (no_null(str)) {
        return str.substr(0, 3) + "****" + str.substr(7);
    } else {
        return '';
    }
}

function share_RecAgentQrImg(type) {
    hide_dom('#sales');
    userGetRecAgentQrImg_ajax(function (EWM_img) {
        $("#Share_Base").attr("data-url", EWM_img);
        var share_url_userGet = getStorage('web_head') + '/html/invite.html?Base64Token=' + getStorage('user_data').id;
        var share_url_RecAgent = share_url_userGet + "&recAgent=1";
        $("#Share_Base").attr("data-share_url", share_url_RecAgent);
    }, type);
    do_share2(this);

}

//获取普通推荐二维码
function userGetQrImg_ajax(callback) {
    showProgress();
    var ajax_json = {
        url: getStorage('url_head') + 'userGetQrImg.do',
        values: {},
        callback: function (ret) {
            var EWM_img = ret.equrl;
            // byID('Share_Base').setAttribute('data-url', EWM_img);
            if (callback) {
                callback(EWM_img)
            }

        },
        err_callback: function (err) {


        }
    }
    goAjax(ajax_json);
}

//获取代理推荐二维码
function userGetRecAgentQrImg_ajax(callback, type) {
    showProgress();
    var ajax_json = {
        url: getStorage('url_head') + 'userGetRecAgentQrImg.do',
        values: {
            type: type
        },
        callback: function (ret) {
            var EWM_img = ret.equrl;
            // byID('Share_Base').setAttribute('data-url', EWM_img);
            if (callback) {
                callback(EWM_img)
            }

        },
        err_callback: function (err) {


        }
    }
    goAjax(ajax_json);
}


function hasPermission(one_per){
    var perms = new Array();
    if(typeof one_per === 'string'){
        perms.push(one_per);
    } else {
      perms = one_per;
    }
    var rets = api.hasPermission({
        list: perms
    });
    return rets;
}

function reqPermission(one_per, callback){
    var perms = new Array();
    if(typeof one_per === 'string'){
        perms.push(one_per);
    } else {
      perms = one_per;
    }
    api.requestPermission({
        list: perms,
        code: 100001
    }, function(ret, err){
        if(callback){
            callback(ret);
        }
    });
}

function opWithPermission(perm, msg, callback){
    if(!confirmPer(perm, msg, callback)){
        return false;
    }
    if (typeof callback === 'function') {
      callback();
    }
    return true;
}

function confirmPer(perm, msg, callback){
    var has = hasPermission(perm);
    let permCn = ''
    var permCnObj = {
      'camera': '相机',
      'storage': '存储',
      'library': '相册',
      'phone': '通话',
      'microphone': '麦克风'
    }
    if (typeof perm === 'string') {
      permCn = permCnObj[perm]
    } else {
      perm.map(v => permCn = permCn + ',' + permCnObj[v])
      permCn = permCn.slice(1, permCn.length)
    }

  if(!has || !has[0] || !has[0].granted){
    api.confirm({
      title: '权限使用说明',
      msg: msg || '没有获得 ' + permCn + " 权限\n是否前往设置？",
      buttons: ['确定', '取消']
    }, function(ret, err) {
      if(1 == ret.buttonIndex){
        reqPermission(perm, callback);
      }
    });
    return false;
  }
  return true;
}
function toChat () {
  opWithPermission(['microphone', 'storage'], '需要获取麦克风权限、存储权限用于使用录制语音发送给客服等操作', function () {
    var href = 'https://chat32.live800.com/live800/chatClient/chatbox.jsp?companyID=1508945&configID=109263&jid=6971324971&s=1';
    var user_data = getStorage('user_data');
    var userId = user_data.id;
    var name = user_data.nickName;
    if (userId) {
      href += '&info=' + encodeURIComponent('userId=' + userId + '&name=' + name);
    }
    var live800web = api.require('live800web');
    var params = {
      url: href,
      statusBarColor: "#008577",
      statusBarEnable: true,
      fullScreen: false,
      serverUrl: "https://sdk.live800.com/sdk",
      appKey: "live800_m2jz41c888bp",
      appSecret: "live800Key_pn8o6tqszijt",
      userId: userId,
      name: name
    };
    live800web.openPage(params);
  });
}
