var address_json;

apiready = function () {
    common_initial();
    getAllUseraddress_ajax();
    relooad_address_list();
}
function relooad_address_list() {
    if (is_app()) {
        api.addEventListener({
            name: 'relooad_address_list'
        }, function (ret, err) {
            getAllUseraddress_ajax();
        });
    }else {
        getAllUseraddress_ajax();

    }

}
function new_address_input() {
    go_address_input('new', 'relooad_address_list');

}
function getAllUseraddress_ajax() {
    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/getAllUseraddress.do',

        values: {},
        callback: function (ret) {
            var jsonObjectList = ret.jsonObjectList;
            var html = '';
            var dom = byID('AddList');
            dom.innerHTML = html;
            if (no_null(jsonObjectList)) {
                for (var i in jsonObjectList) {
                    setStorage('address_data_' + jsonObjectList[i].id, jsonObjectList[i]);
                    html += ' <li id="' + jsonObjectList[i].id + '"  data-id="' + jsonObjectList[i].id + '"  onclick="change_default(this)"> ' +
                        '<div class="AddMes clearfix"  data-id="' + jsonObjectList[i].id + '"> ' +
                        '<span class="AddName fl">收货人：<i>' + jsonObjectList[i].name + '</i></span>' +
                        '<span class="AddNum fr">' + jsonObjectList[i].phone + '</span> ' +
                        '</div>' +
                        '<div class="address">' + jsonObjectList[i].sheng + jsonObjectList[i].shi + jsonObjectList[i].qu + jsonObjectList[i].details + '</div>' +
                        ' <div class="setAdd clearfix"> ' +
                        '<div class="defaultAdd fl" data-id="' + jsonObjectList[i].id + '" >' +
                        get_select_img(jsonObjectList[i]) +
                        '默认地址</div> ' +
                        '<div class="delAdd fr del_txt" data-id="' + jsonObjectList[i].id + '" onclick="del_this_address(this)">' +
                        '删除</div> ' +
                        '<div class="changeAdd fr" data-id="' + jsonObjectList[i].id + '" onclick="change_this_address(this)">编辑' +
                        '</div> ' +
                        '</div>' +
                        ' </li>';

                }
                console.log('AddList:' + html);
                dom.innerHTML = html;
            } else {
                toastInfo('亲,你没有设置收货地址!');

            }
        },
        err_callback: function (err) {
            if (err.msg == 0) {
                toastInfo('亲,没有消息!');
            }
        }
    }
    goAjax(ajax_json);

}
function change_default(dom) {
    var id = dom.getAttribute('data-id');
    set_default_address(id, function (ret) {
        change_select(dom)
    })
}

/*

 function del_this_address(dom) {
 api.actionSheet({
 title: '确定删除该地址吗?',
 cancelTitle: '取消',
 destructiveTitle: '确定',
 // buttons: ['确定']
 }, function (ret, err) {
 if (ret.buttonIndex == 1) {
 var id = dom.getAttribute('data-id');
 var ajax_json = {
 url: getStorage('url_head') + 'userGetJsonInfo/delUseraddress.do',

 values: {id: id,},
 callback: function (ret) {
 toastInfo('删除成功!');
 addClass(byID(id), 'hide');

 },
 err_callback: function (err) {
 toastInfo('删除失败!请稍后尝试.');

 }
 }
 goAjax(ajax_json);
 }
 });

 }
 */

function get_default(idDefault) {
    if (idDefault == 1) {
        return '<img src="../../images/dagou4.png">';
    } else {
        return '';
    }

}
function change_this_address(dom) {
    setStorage('this_address_data', getStorage('address_data_' + dom.getAttribute('data-id')));
    go_address_input('change', 'relooad_address_list');

}
