// private Long id;
// private Integer orderType;//订单类型  0微信  1支付宝
// private Integer type;//交易类型(0商品  1单个视频 2视频分类)
// private Long userId;			//用户信息
// private String orderNumber;		//订单号
// private Date payTime;		//支付时间
// private Date sendTime;		//发货时间
// private Date sureTime;		//确认时间
// private Integer state;	//状态(-2已过期 -1 未支付 0待发货
// //1已发货 2确认收货)
// private Integer payType;		//支付类型(0 付款 1积分)
// private Integer amount;			//支付金额(分)
// private Integer score;			//支付积分
// private String userName;		//收货人
// private String nickName;		//昵称
// private String userPhone;		//联系方式
// private String userAddress;		//收货地址
// private String expressCompany;	//快递公司
// private String expressNumber;	//快递单号
// private Integer expressCost;	//快递费用
// private Integer remind;			//发货提醒(0否 1是 )
// private String message;			//买家留言
// private Long  videoId;		//视频id
// private String typeIds;		//视频分类id   1,2,3
// private Date gmtCreated;	//创建时间
// private Integer idDel;		//是否删除(0否 1是)
// var this_orders_json = getStorage('this_orders_json');
var this_orders_id = getStorage('this_orders_id');
var orderNumber;
var type;
apiready = function () {
    type = get_url_json().type;
    common_initial();
    // console.log('this_orders_json:' + jsonToStr(this_orders_json));
    // set_data(this_orders_json);
    getUserorderById(this_orders_id);
    reload_order();
    if (type == 'pay') {
        keyback(function (ret) {
            go_root(true);
        });
    }


}

function reload_order() {
    if (is_app()) {
        api.addEventListener({
            name: 'reload_order'
        }, function (ret, err) {
            getUserorderById(this_orders_id);
        });
    }
}

function cancel() {
    if (type == 'pay') {
        go_root(true);
    } else {
        closeWin();
    }

}
function getUserorderById(id) {
    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/getUserorderById.do',

        values: {
            id: id,
        },
        callback: function (ret) {
            console.warn("getUserorderById:" + JSON.stringify(ret))
            set_data(ret.jsonObject);


        },
        err_callback: function (err) {


        }
    }
    goAjax(ajax_json);

}
function set_data(json) {
    if (is_null(json)) {
        toastInfo('订单数据错误!', true);
        closeWin();
        return;
    }
    set_orderdescs(json.orderdescs, (json.state == 2));
    byID('userName').innerHTML = '收货人: ' + json.userName;
    byID('userPhone').innerHTML = json.userPhone;
    byID('userAddress').innerHTML = json.userAddress;
    byID('orderNumber').innerHTML = '订单号: ' + json.orderNumber;
    orderNumber = json.orderNumber;
    if (!is_app()) {
        // var url = 'http://yuweixiangmeishi.cn/html/invite.html?token=' + getStorage('token');
        do_clipboard(orderNumber, '#copyBtn')
    }
    byID('gmtCreated').innerHTML = '创建时间: ' + json.gmtCreated;
    var tradeNo = byID('tradeNo');
    if (no_null(json.tradeNo)) {
        tradeNo.innerHTML = '交易号: ' + json.tradeNo;
    } else {
        addClass(tradeNo, 'hide');
    }
    if (no_null(json.payTime)) {
        byID('payTime').innerHTML = '付款时间: ' + json.payTime;
    } else {
        addClass(byID('payTime'), 'hide');
    }
    if (no_null(json.sendTime)) {
        byID('sendTime').innerHTML = '发货时间: ' + json.sendTime;
    } else {
        addClass(byID('sendTime'), 'hide');
    }
    byID('expressCost').innerHTML = '¥ ' + parse_cost(json.expressCost);
    if (json.payType == 0) {
        byID('amount').innerHTML = '¥ ' + parse_cost(parseInt(json.amount) + parseInt(json.expressCost))
    } else {
        byID('amount').innerHTML = '积分 ' + json.score;
    }
    byID('userAddress').innerHTML = json.userAddress;

    $('#del_order').attr('data-id', json.id);
    // document.getElementById('del_order').setAttribute('data-id',json.id);
    // document.getElementById('del_order').insertAdjacentHTML('beforeBegin', get_btn(json));
    $('#new_btn').html(get_btn(json));

    if (json.message && json.message != '') {
        show_dom('#leave_comments_div');
        byID('leave_comments').innerHTML = json.message;
    }


}


// private Long id;
// private Long orderId;		//订单id
// private Long goodsId;		//商品id
// private String goodsName;	//商品名称
// private String goodsImg;	//商品图片
// private Long sizeId;		//规格id
// private String goodsSize;	//商品规格
// private String goodsSizeDesc;//商品规格详情
// private Integer num;		//购买数量
// private Integer amount;		//价格
// private Integer score;		//积分
// private Integer payType;	//0付款 1积分
// private Integer carryCost;	//运费

function set_orderdescs(json_list, if_2) {
    var dom = byID('orderProduct_ul');
    var html = '';
    if (no_null(json_list) && isArray(json_list)) {
        for (var i in json_list) {
            var do_comment_html = '';
            if (if_2) {
                do_comment_html = ' <div class="li_bottom"><div class="inBtn fr" onclick="do_comment(this)" data-id="' + json_list[i].goodsId + '">评论</div></div>';
            }
            html += '<li class="shopCommodity clearfix" data-id="'+json_list[i].goodsId+'" onclick="show_this_Goods(this)" data-type="0">' +
            // html += '<li class="shopCommodity clearfix" data-id="' + json_list[i].id + '"  data-type="' + json_list[i].type + '">' +
                ' <img src="' + get_imgs_0(json_list[i].goodsImg) + '" class="shopImg fl"> ' +
                ' <div> ' +
                '<div class="shopText fl">' +
                ' <p class="shopName oPtext no_wrap">' + json_list[i].goodsName + '</p>' +
                ' <p class="shopAttr oPtext no_wrap">' + json_list[i].goodsSize + '</p>' +
                ' <p class="shopColor oPcolor no_wrap">' + json_list[i].goodsSizeDesc + '</p> ' +
                '</div> ' +
                '<div class="shopPN fr"> ' +
                '<p class="shopPrice oPtext">' + get_shopPrice(json_list[i]) + '</p>' +
                ' <p class="shopNum shopColor oPcolor">x ' + json_list[i].num + '</p> ' +
                '</div> ' +
                '</div>' +
                do_comment_html +
                '</li>';
        }
    }
    if(is_developer()){
        console.log('orderProduct_ul:' + html);
    }
    dom.innerHTML = html;
}

function do_comment(dom) {
    setStorage('comment_id', dom.getAttribute('data-id'));
    go_comment('good_comment');

}

function get_shopPrice(json) {
    if (json.payType == 0) {
        return '￥' + parse_cost(json.amount);
    } else {
        return '积分 ' + (parseInt(json.score));
    }
}


function copy() {
    // byID('copyBtn').setAttribute()
    if (is_app()) {
        do_copy(orderNumber);
    }
}
function get_btn(json) {
    //(-2过期  -1 代付款 0待发货 1已发货待确定 2已完成 -3全部 3已申请退货货)
    var state = json.state;
    if (state == -1) {
        return '<div class="mOrBtn fr sendBtn" id="pay_btn"  data-id="' + json.id + '"  onclick="do_userReOrder(this)" data-orderNumber="' + json.orderNumber + '">支付</div>'
    } else if (state == 0) {
        return '<div class="mOrBtn fr sendBtn"   data-id="' + json.id + '" onclick="remindUserorder_ajax(this)">提醒发货</div>';
    } else if (state == 1) {
        return '<div class="mOrBtn fr sendBtn"   data-id="' + json.id + '" onclick="userEditSureOrderState_ajax(this)">确定收货</div>';
    } else if (state == 2) {
        return '<div class="mOrBtn fr sendBtn"   data-id="' + json.id + '" data-orderNumber="' + json.orderNumber + '" onclick="go_return_goods(this)">退换货</div>';
    } else {
        return '';
    }
}
function go_return_goods(dom) {
    openWin('return_goods', '../market/return_goods.html?orderNumber=' + dom.getAttribute('data-orderNumber'));
}

/*
 function orderInfo() {
 ZeroClipboard.config({swfPath: "./ZeroClipboard.swf"});
 // var clip = new ZeroClipboard.Client();
 // clip.setHandCursor(true);
 // clip.setText("要复制的文本");
 // clip.glue("btn_submit");
 var client = new ZeroClipboard(document.getElementById("copyBtn"));
 client.on("ready", function () {
 alert("加载完成!");
 })
 client.on("copy", function (event) {
 var clipboard = event.clipboardData;
 //这是设置类型
 clipboard.setData("text/plain", "Copy me!");
 alert('copy over!');
 });
 client.on('aftercopy', function (event) {
 console.log('Copied text to clipboard: ');
 });
 client.on('error', function (event) {
 console.log(event);
 });
 }*/
