/**
 * Created by HASEE on 2017/4/24.
 */
var pageIndex = 1;
var state = -3;//(-2过期  -1 代付款 0待发货 1已发货待确定 2已完成 -3全部)
var payType = -1;//(0 普通商品 1 积分商品 -1全部商品)
apiready = function () {
//     onload = function () {
    var json = get_url_json();
    if (no_null(json)) {
        payType = json.type;
    }
    common_initial();
    userGetUserorder_ajax();
    reload_market_Orders();
}

function get_shopCommodity_status(state) {
    if (state == -1) {
        return '未付款';
    } else if (state == 0) {
        return '待发货';
    } else if (state == 1) {
        return '待收货';
    } else if (state == 2) {
        return '已完成';
    } else if (state == 3) {
        return '已申请退换货';
    } else {
        return '已过期';
    }
}

function reload_market_Orders() {
    if (is_app()) {
        api.addEventListener({
            name: 'reload_market_Orders'
        }, function (ret, err) {
            pageIndex = 1;
            userGetUserorder_ajax();
        });
    }
}

function userGetUserorder_ajax() {
    var pageNum = 10010;
    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/userGetUserorder.do',

        values: {
            pageIndex: pageIndex,
            pageNum: pageNum,
            des: 'desc',
            state: state,//(-2过期  -1 代付款 0待发货 1已发货待确定 2已完成 -3全部)
            payType: payType,//(0 普通商品 1 积分商品)
            type: 0,
        },
        callback: function (ret) {
            var jsonObjectList = ret.jsonObjectList;
            var html = '';
            var dom = byID('Orders_list');
            if (pageIndex == 1) {
                dom.innerHTML = '';
            }
            if (no_null(jsonObjectList)) {
                for (var i in jsonObjectList) {
                    var orderdescs_json = jsonObjectList[i].orderdescs;
                    // console.log(jsonToStr(orderdescs_json));
                    if (isArray(orderdescs_json)) {
                        orderdescs_json = orderdescs_json[0]
                    }
                    if (no_null(orderdescs_json)) {
                        setStorage('orders_json_' + jsonObjectList[i].id, jsonObjectList[i]);

                        html += '<li class="shopCommodity state_' + jsonObjectList[i].state + '" id="shopCommodity_' + jsonObjectList[i].id + '"> <div class="shopCommodity_top"><p class="fl status">' + get_shopCommodity_status(jsonObjectList[i].state) + '</p> <p class="orderNum fr" style="margin-right: 2.6%">订单号：' + jsonObjectList[i].orderNumber + '</p></div>' +
                            '<dl  onclick="show_this_order(this)" data-id="' + jsonObjectList[i].id + '">' +
                            get_shopGroup(jsonObjectList[i]) +
                            ' </dl>' + get_courier(jsonObjectList[i]) + '<div class="mOrMoney clearfix"> <div class="mOrFreight fl">运费<span class="mOrPrice">￥' + parse_cost(jsonObjectList[i].expressCost) + '</span></div> <div class="mOrTotal fr">共<span class="mOrNum">' + add_num(jsonObjectList[i].orderdescs) + '</span>件商品 合计:<span class="mOrPrice">' + get_Price(jsonObjectList[i]) + '</span> </div> </div> ' + get_btn(jsonObjectList[i]) + '</li>'
                    }
                }
                do_auiLazyload();
                // console.log('Orders_list:' + html);
                dom.innerHTML += html;
                /*     if (jsonObjectList.length >= pageNum) {
                 do_auiScroll(function (ret) {
                 comment_pageIndex++;
                 console.log('comment_pageIndex:'+comment_pageIndex)
                 userGetUserorder_ajax();
                 });
                 }*/

            } else {
                dom.innerHTML = '';
                toastInfo('亲,没有订单记录!');
            }
        },
        err_callback: function (err) {
            if (err.msg == 0) {
                byID('Orders_list').innerHTML = '';
                toastInfo('亲,没有订单记录!');
            }
        }
    }
    goAjax(ajax_json);

}
function add_num(orderdescs) {
    var num = 0;
    if (no_null(orderdescs)) {
        for (var i in orderdescs) {
            num += orderdescs[i].num
        }
    }
    return num;

}
function get_shopGroup(json) {
    var html = '';
    var orderdescs = json.orderdescs;
    if (no_null(orderdescs)) {
        for (var i in orderdescs) {
            var src = get_imgs_0(orderdescs[i].goodsImg);
            if (no_null(orderdescs[i].coverImg)) {
                src = orderdescs[i].coverImg;
            }
            var orderdescs_json = orderdescs[i];
            html += '<dt class="shopGroup clearfix"> <div class="shopImg fl"><img src="' + src + '" data-src="' + orderdescs_json.goodsImg + '"></div> <div class="shopText fl"><p class="shopName no_wrap">' + orderdescs_json.goodsName + '</p> <p class="shopAttr no_wrap">' + orderdescs_json.goodsSize + '</p> <p class="shopColor no_wrap">' + orderdescs_json.goodsSizeDesc + '</p></div>' + ' <div class="shopPN fr"><p class="mOrPrice">' + get_in_Price(json, i) + '</p> <p class="shopNum shopColor">x ' + orderdescs_json.num + '</p></div> </dt>'
        }
    }
    // console.log('orderdescs_html')
    return html;

}
function get_courier(json) {
    if (no_null(json.expressCompany) && no_null(json.expressNumber)) {
        return '<div class="mOrMoney clearfix"><div class="mOrFreight fl">' + json.expressCompany + '</div> <div class="orderNum fr">快递号:' + json.expressNumber + '</div></div> '
    } else {
        return ''
    }

}
function show_this_order(dom) {
    // setStorage('this_orders_json', getStorage('orders_json_' + dom.getAttribute('data-id')));

    setStorage('this_orders_id', dom.getAttribute('data-id'));
    go_order_details(dom.getAttribute('data-id'), 'list')
}


function get_Price(json) {
    if (json.payType == 0) {
        return '￥' + parse_cost(parseInt(json.amount) + parseInt(json.expressCost));
    } else {
        return '积分 ' + json.score;
    }
}
function get_in_Price(json, i) {
    if (json.payType == 0) {
        return '￥' + parse_cost(json.orderdescs[i].amount);
    } else {
        return '积分 ' + (json.orderdescs)[0].score;
    }
}
function this_state(dom) {
    if (!hasCls(dom, 'checked')) {
        removeClass(byQuery('.checked'), 'checked');
        addClass(dom, 'checked');
    }
    state = dom.getAttribute('data-state');
    if (state != -3) {
        hide_dom('.shopCommodity');
        show_dom('.state_' + state)
    } else {
        show_dom('.shopCommodity');
    }

    // pageIndex = 1;
    // userGetUserorder_ajax();
}


function get_btn(json) {
    //(-2过期  -1 代付款 0待发货 1已发货待确定 2已完成 -3全部)
    var state = json.state;
    var html = '';
      // html += '<div class="mOrBtn mOrDel fr" data-id="' + json.id + '" onclick="delUserorder_ajax(this)">删除订单</div> '; 2018年4月19日16:40:21 花说删除
    if (state == -1) {
        html += '<div class="mOrBtn mOrPay sendBtn fr"  data-id="' + json.id + '"  onclick="do_userReOrder(this)" data-orderNumber="' + json.orderNumber + '">支付</div>';
    } else if (state == 0) {
        html += '<div class="mOrBtn mOrPay sendBtn fr"   data-id="' + json.id + '" onclick="remindUserorder_ajax(this)">提醒发货</div>';
    } else if (state == 1) {
        html += '<div class="mOrBtn mOrPay sendBtn fr"   data-id="' + json.id + '" onclick="userEditSureOrderState_ajax(this)">确定收货</div>';
    }
    if (html != '') {
        html = '<div class="mOrBtnGroup clearfix"> ' + html + '</div>'
    }
    return html;
}
/*function this_pay(dom) {
    do_userReOrder(dom,function () {

    })
}*/
