/**
 * Created by HASEE on 2017/7/13.
 */

function qq_shareNews(json) {
    console.log('qq_shareNews:' + jsonToStr(json));
    var qq = api.require('QQPlus');
    qq.setIsPermissionGranted({
      granted:true
    });
    qq.installed(function (ret, err) {
        if (ret.status) {
            do_shareNews(json);
        }
    });
    // console.log('shareWebpage');
    function do_shareNews(json) {
        var imgUrl=json.shareImg;
        if(is_null(imgUrl)||imgUrl=='null'){
            imgUrl='http://yuweixiangmeishi.cn/icon.png';
        }
        qq.shareNews({
            type: json.type || 'QFriend', //QZone：分享到 QQ 空间   QFriend：分享到好友、讨论组、群聊（在 iOS 平台此分享成功后无回调）
            title: json.title || '厨艺宝',
            description: json.subTitle || '',
            imgUrl: imgUrl,
            url: json.url || 'http://youi-tech.com:8080/wang/html/video/homePage.html',
        }, function (ret, err) {
            console.log('qq_shareNews.ret:' + JSON.stringify(ret));
            console.log('qq_shareNews.err:' + JSON.stringify(err));
            if (ret.status) {
                if (typeof json.callblack == "function") {
                    json.callblack(ret);
                }
                toastInfo('分享成功!');
            } else {
                if (typeof json.err_callblack == "function") {
                    json.err_callblack(err);
                }
            }
        });
    }
}

function qq_share_img(json) {
    console.log('qq_share_img:' + jsonToStr(json));
    var qq = api.require('QQPlus');
    qq.setIsPermissionGranted({
      granted:true
    });
    qq.installed(function (ret, err) {
        if (ret.status) {
            do_share_img(json);
        }
    });

    function do_share_img(json) {
        var EWM_img = json.url;
        var last_name = EWM_img.substr(EWM_img.lastIndexOf('/') + 1);
        var savePath = 'fs://Download/' + last_name;
        if (is_app()) {
            if(opWithPermission('storage')){
                api.download({
                    url: EWM_img,
                    savePath: savePath,
                    report: true,
                    cache: false,
                    allowResume: true
                }, function (ret) {
                    console.log('文件大小：' + ret.fileSize + '；下载进度：' + ret.percent + '；下载状态' + ret.state + '存储路径: ' + ret.savePath)
                    if (ret.state == 1) {
                        qq.shareImage({
                            type: json.type || 'QFriend', //QZone：分享到 QQ 空间   QFriend：分享到好友、讨论组、群聊（在 iOS 平台此分享成功后无回调）
                            imgPath: savePath,
                        }, function (ret, err) {
                            console.log('qq_shareNews.ret:' + JSON.stringify(ret));
                            console.log('qq_shareNews.err:' + JSON.stringify(err));
                            if (ret.status) {
                                if (typeof json.callblack == "function") {
                                    json.callblack(ret);
                                }
                                toastInfo('分享成功!');
                            } else {
                                if (typeof json.err_callblack == "function") {
                                    json.err_callblack(err);
                                }
                            }
                        });
                    }
                })
            }
        }
    }
}
