/**
 * Created by HASEE on 2017/7/21.
 */
function weibo_share(json) {

    console.log('weibo_share:' + jsonToStr(json));
    var weibo = api.require('weiboPlus');
    weibo.isInstalled(
        function (ret, err) {
            console.log('weibo.isInstalled.ret:' + JSON.stringify(ret));
            console.log('weibo.isInstalled.err:' + JSON.stringify(err));
            if (ret.status) {
                shareText();
                // do_shareWebPage();
                // shareImage();
            } else {
                toastInfo('未安装新浪微博客户端');
            }
        }
    );

    function shareText() {

        var title = json.title;
        if (is_null(title)) {
            title = '厨艺宝';
        }
        var weibo = api.require('weiboPlus');
        weibo.shareText({
            text: title + ' ' + json.url,
        }, function (ret, err) {
            if (typeof json.callblack == "function") {
                json.callblack();
            }
            console.log('weibo.shareText.ret:' + JSON.stringify(ret));
            console.warn('weibo.shareText.err:' + JSON.stringify(err));

        });
    }

    function shareImage() {
        var weibo = api.require('weiboPlus');
        weibo.shareImage({
            text: '厨艺宝' + json.url,
            imageUrl: 'widget://image/icon/icon.jpg'
        }, function (ret, err) {
            console.log('weibo.shareImage.ret:' + JSON.stringify(ret));
            console.warn('weibo.shareImage.err:' + JSON.stringify(err));
        });
    }

    function do_shareWebPage() {
        weibo.shareWebPage({
            text: json.text || '',
            title: json.title || '厨艺宝',
            description: json.description || '',
            thumb: json.shareImg||'widget://icon/icon.png',
            contentUrl: json.url || 'http://youi-tech.com:8080/wang/html/video/homePage.html',
        }, function (ret, err) {
            console.log('weibo.shareWebPage.ret:' + JSON.stringify(ret));
            console.warn('weibo.shareWebPage.err:' + JSON.stringify(err));
            if (ret.status) {
                toastInfo('微博分享成功');
            } else {
                console.log(jsonToStr(err));
            }
        });
    }

}
