// 类型(0支付宝 1微信)
var type = 0;
// 帐号
var account;
// 金额(单位：分)
var amount = 0;

var user_money;

var min_amount;
// 最大提现次数
var max_get_num = 1;
apiready = function () {
    common_initial();
    getUserInfoByToken(function (jsonObject) {
        user_money = parse_cost(jsonObject.money);
        byID('user_name').innerHTML = jsonObject.nickName;
        $('.user_money').html(user_money);

    });
    // set_old_data();
    checkUserWithdrawalCount_ajax();
    getChoisescore_ajax();
    userGetTextByType_ajax(12);
    userGetTextByType_ajax(13);
    checkUserLastWithdrawal_ajax();
}

function checkUserLastWithdrawal_ajax() {
    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/checkUserLastWithdrawal.do',
//            Progress: 0,
        values: {
            type: type,//(0首页公告 1技术分类 2会员详情 3如何赚积分 4用户只指南 5关于我们 6服务协议)
        },
        callback: function (ret) {
            var json = ret.jsonObject;
            if (no_null(json)) {
                var old_account = json.account;
                if (old_account) {
                    byID('account').value = old_account;
                }
                var old_type = json.type;
                if (old_type) {
                    set_type(old_type, byID("type_" + old_type));
                }
                var old_name = '';
                if (no_null(json.name)) {
                    old_name = json.name;
                } else if (getStorage('old_name')) {
                    old_name = getStorage('old_name');
                }
                byID('name').value = old_name;
                var img = json.img;
                if (img) {
                    byID('add_img').src = img;
                }
            }

        },
        err_callback: function (err) {

        }
    }
    goAjax(ajax_json);
}

function set_old_data() {
    var old_account = getStorage('old_account');
    if (old_account) {
        byID('account').value = getStorage('old_account');
    }
    var old_type = getStorage('old_type');
    if (old_type) {
        set_type(old_type, byID("type_" + old_type));
    }
    var name = getStorage('old_name');
    if (name) {
        byID('name').value = getStorage('old_name');
    }
    var img = getStorage('old_img');
    if (img) {
        byID('add_img').src = img;
    }
}

function userGetTextByType_ajax(type) {
    var ajax_json = {
        url: getStorage('url_head') + 'userGetTextByType.do',
//            Progress: 0,
        values: {
            type: type,//(0首页公告 1技术分类 2会员详情 3如何赚积分 4用户只指南 5关于我们 6服务协议)
        },
        callback: function (ret) {

            byID('Text_' + type).innerHTML = ret.jsonObject.content;

        },
        err_callback: function (err) {
            // hideProgress();
        }
    }
    goAjax(ajax_json);
}

function getChoisescore_ajax() {
    var ajax_json = {
        url: getStorage('url_head') + 'getChoisescore.do',
//            Progress: 0,
        values: {},
        callback: function (ret) {
            var arr = ret.jsonObjectList;
            var html = '';
            if (no_null(arr)) {
                var min = parseInt(arr[0].score);
                for (var i in arr) {
                    html += '<li class="money_item" onclick="set_amount(' + arr[i].score + ',this)">' + arr[i].score + '元</li>';
                    if (arr[i].score < min) {
                        min = this[i];
                    }
                }
            }
            min_amount = min;
            byID('amount_arr').innerHTML = html;
        },
        err_callback: function (err) {
            // hideProgress();
        }
    }
    goAjax(ajax_json);
}

function checkUserWithdrawalCount_ajax() {
    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/checkUserWithdrawalCount.do',
//            Progress: 0,
        values: {},
        callback: function (ret) {
            var this_day_acount = max_get_num - parseInt(ret.acount);
            if (this_day_acount < 0) {
                this_day_acount = 0;
            }
            byID('this_day_acount').innerHTML = this_day_acount;

        },
        err_callback: function (err) {
            // hideProgress();
        }
    }
    goAjax(ajax_json);
}


function addOrEditUserWithdrawal_ajax(dom) {
    if (user_money < 100) {
        toastInfo("您的余额不足于100，不可提现");
        return;
    }
    if (user_money < min_amount) {
        toastInfo("余额不足于" + min_amount + "，不可提现")
        return;
    }
    var account = byID('account').value;
    if (is_null(account)) {
        toastInfo('请输入收款账号!');
        return;
    }
    var name = byID('name').value;
    if (is_null(name)) {
        toastInfo('请输入收款人姓名!');
        return;
    }
    var img = byID('add_img').src;
    if (img == 'file:///storage/emulated/0/UZMap/wgt/A6933057473818/images/add_img_2.png') {
        toastInfo('请上传收款码图片!');
        return;
    }
    setStorage('old_name', name);
    setStorage('old_account', account);
    setStorage('old_type', type);
    setStorage('old_img', img);
    if (amount == 0) {
        toastInfo('请选择您提现的金额!');
        return;
    }
    if (amount > user_money) {
        toastInfo("您现有余额" + user_money + ",不足以提现!")
        return;
    }
    showProgress();
    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/addOrEditUserWithdrawal.do',
        values: {
            type: type,
            account: account,
            amount: multiplication(amount, 100),
            img: img,
            name: name,
        },
        callback: function (ret) {
            if (is_app()) {
                api.sendEvent({
                    name: 'reload_user_data',
                });
            }
            hideProgress();
            toastInfo('提现申请成功!请等24小时', true);
            closeWin();

        },
        err_callback: function (err) {
            if (err.msg == -5) {
                toastInfo('您的提现次数以达到上限,请明天再提现,谢谢!');
            } else if (err.msg == -6) {
                toastInfo('您的余额不够!');
            } else if (err.msg == -4) {
                toastInfo('您的提现超过最大金额,请明天再提现,谢谢!');
            } else if (err.msg == -3) {
                toastInfo('请您登陆,谢谢!');
            }else {
                toastInfo('提现失败,请联系客服!');
            }
            // hideProgress();
        }
    }
    goAjax(ajax_json);
}

function set_can_get(user_score) {
    var can_get = 0;
    var arr = [100, 200, 500, 1000, 5000];
    for (var i in arr) {
        if (user_score > arr[i]) {
            can_get = arr[i];
        }
    }
    byID('can_get').innerHTML = can_get + '元';

}

function set_type(this_type, dom) {
    type = this_type;
    $('.this_type').removeClass('this_type');
    addClass(dom, 'this_type');
}

function set_amount(this_amount, dom) {
    if (this_amount > user_money) {
        toastInfo("您现有余额" + user_money + ",不足以提现" + this_amount + "!");
        return;
    }
    amount = this_amount;
    $('.money_selected').removeClass('money_selected');
    addClass(dom, 'money_selected');

}

function add_getPicture(dom) {
    if (is_app()) {

        api.actionSheet({
            title: '选择图片来源',
            buttons: ['手机拍照', '浏览相册']
        }, function (ret, err) {
            var index = ret.buttonIndex;
            var Picture_json = {
                targetHeight: 140,
                targetWidth: 140,
                callback: function (ret) {
                    dom.src = ret.url;
                },
                err_callback: function (err) {
                    toastInfo('图片上传失败,请再尝试!')
                },
            };
            switch (index) {
                // 拍照
                case 1:
                    Picture_json.sourceType = 'camera';
                    getPicture(Picture_json);
                    break;
                // 打开图片选择器
                case 2:
                    Picture_json.sourceType = 'library';
                    getPicture(Picture_json);
                    break;
            }
        });
    } else {
        byID('file').click();
    }
}

function do_ajaxFileUpload(dom) {
    var fileName = $(dom).val().substring($(dom).val().lastIndexOf("\\") + 1);
    var fileType = fileName.substring(fileName.lastIndexOf(".") + 1);
    if (fileType != "jpg" && fileType != "png" && fileType != "gif" && fileType != "jpeg" && fileType != "JPEG" && fileType != "JPG") {
        toastInfo("请上传图片jpg、jpeg、png、gif文件");
        return;
    }
    var id = dom.id;
    var ajaxFileUpload_json = {

        url: getStorage('url_head') + 'fileUpload.do',
        data: {
            id: id,
            targetHeight: 140,
            targetWidth: 140,
        },
        fileElementId: id,
        dataType: 'text',
        success: function (ret, status) {
            // console.log('ajaxFileUpload_ret:' + ret);

            byID('add_img').src = ret;
        }, error: function (err, status, e) {
            console.log('ajaxFileUpload_err:' + err);
            toastInfo('图片上传失败,请再尝试!');
        }
    }

    // console.log('ajaxFileUpload_json:' + jsonToStr(ajaxFileUpload_json));
    $.ajaxFileUpload(ajaxFileUpload_json);

}

