apiready = function () {
    if (is_app()) {
        do_reload_homepage();
        if(is_null(localStorage.getItem('isAgree'))) {
            show_dom('#fanLoginModal');
        }
    } else {
        do_reload_homepage();
    }
    var isAgree = localStorage.getItem('isAgree');
    if (isAgree === 'true') {
      userCheckHasMessage_ajax();//消息数量
      checkServerInfo();
    }
    $('#copyright').addClass('hide');
    reload_homepage();
    listen_reload_msg_num(function () {
        userCheckHasMessage_ajax();//消息数量
    });
    common_initial();

    api.addEventListener({
        name:'resume'
    }, function(ret, err){
        api.sendEvent({
            name: "reloadIosCheck"
        });
        //刷新审核
        checkServerInfo();
    });
};
var swiper_0,swiper_1;
var agreeType = '';

// 弹窗广告
function showPopup () {
  var showHomePopup = getStorage('showHomePopup')
  if (showHomePopup !== '1') {
    return
  }
  var ajax_json = {
    url: getStorage('url_head') + 'app/getPopupById.do',
    Progress: 0,
    values: {},
    callback: function (ret) {
      console.warn("广告弹窗：" + JSON.stringify(ret))
      var jsonObject = ret.jsonObject
      if (jsonObject.isUse === 1) {
        $('#popupImg').attr('src', jsonObject.image)
        $('#popupBtn').attr('data-typeId', jsonObject.typeId)
        show_dom('#popupModal');
        setStorage('showHomePopup', '2')
      }
    }
  }
  console.warn(JSON.stringify(ajax_json))
  goAjax(ajax_json);
}

// 关闭弹窗广告
function closePopup() {
  hide_dom('#popupModal')
}

// 关闭更新弹窗
function closeUpdate() {
  hide_dom('#update')
  showPopup()
}

// 弹窗广告按钮跳转分类首页
function toCateIndex () {
  show_this_type_vadio($('#popupBtn')[0])
  closePopup()
}
function changeAgreeType(type) {
  agreeType = type;
  if (type === 1) {
    $("#agreeImg2").removeClass('hide');
    $("#agreeImg1").addClass('hide');
  }
  if (type === 2) {
    $("#agreeImg1").removeClass('hide');
    $("#agreeImg2").addClass('hide');
  }
}
function agreeTips(){
  if (agreeType !== 1) {
    toastInfo('请勾选上方按钮同意用户及隐私协议');
    return;
  }
  hide_dom('#fanLoginModal');
  checkServerInfo();
  localStorage.setItem('isAgree', 'true');
  api.sendEvent({
    name: 'reload_msg_num'
  })
}
function checkServerInfo() {
    var values = {};
    if (is_app()) {
        values.systemType = api.systemType;
        // values.systemType = 'ios';
    }
    var ajax_json = {
        url: getStorage('url_head') + 'checkServerInfo.do',
        Progress: 0,
        values: values,
        callback: function (ret) {
            console.warn("更新内容：" + JSON.stringify(ret))
            checkServerInfo_callback(ret);
        },
        err_callback: function (err) {
            do_reload_homepage();
        }
    }

    goAjax(ajax_json);

}

function checkServerInfo_callback(ret) {
    console.warn("版本信息：" + JSON.stringify(ret));
    var serverUrl = ret.jsonObject.serverUrl;
    var mustUpdate = ret.jsonObject.mustUpdate;
    if (no_null(serverUrl)) {
        // setStorage('url_head', serverUrl + '/');//bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb zzzzzzzzzzzzzzzzzzzzzzzz
    } else {
        get_ajax_url_head();
    }

    var systemVersion = ret.jsonObject.systemVersion;
    var upLineState = ret.jsonObject.upLineState;

    if (api.systemType == 'ios') {
        if (no_null(systemVersion)) {
            //在线版本比现在版本新,表示现在版本已经上线
            if (is_new_systemVersion(systemVersion)) {
                upLineState = 1;
            }

        }
    } else {
        upLineState = 1
    }
    setStorage('if_online', upLineState);
    if (is_new_systemVersion(systemVersion)) {
        // if(mustUpdate) {
        //     if (api.systemType == 'ios') {
        //         if ((ret.jsonObject.upLineState == 1) &&( upLineState == 1)) {
        //             show_dom('#forceUpdate');
        //         }
        //     } else {
        //         show_dom('#forceUpdate');
        //     }
        // } else {
            if (api.systemType == 'ios') {
                if ((ret.jsonObject.upLineState == 1) &&( upLineState == 1)) {
                    show_dom('#update');
                }
            } else {
                show_dom('#update');
            }
        // }
    } else {
      showPopup()
    }
}


function is_new_systemVersion(systemVersion) {
    var appVersion = api.appVersion;
    // alert('systemVersion:'+systemVersion);
    // alert('appVersion:'+appVersion);
    var key = false;
    if (no_null(systemVersion)) {
        var arr1 = systemVersion.split('.');
        var arr2 = appVersion.split('.');
        if (parseInt(arr1[0]) > parseInt(arr2[0])) {
            key = true;
        } else if (parseInt(arr1[0]) == parseInt(arr2[0])) {
            if (parseInt(arr1[1]) > parseInt(arr2[1])) {
                key = true;
            } else if (parseInt(arr1[1]) == parseInt(arr2[1])) {
                if (parseInt(arr1[2]) > parseInt(arr2[2])) {
                    key = true;
                }
            }
        }
    }
    return key;
}

function is_old_systemVersion(systemVersion) {
    // console.warn('systemVersion:'+systemVersion)
    var key = false;
    var appVersion = api.appVersion;
    if (no_null(systemVersion)) {
        var arr1 = systemVersion.split('.');
        var arr2 = appVersion.split('.');
        if (parseInt(arr1[0]) < parseInt(arr2[0])) {
            key = true;
        } else if (parseInt(arr1[0]) == parseInt(arr2[0])) {
            if (parseInt(arr1[1]) < parseInt(arr2[1])) {
                key = true;
            } else if (parseInt(arr1[1]) == parseInt(arr2[1])) {
                if (parseInt(arr1[2]) < parseInt(arr2[2])) {
                    key = true;
                }
            }
        }
    }
    return key;
}

function reload_homepage() {
    if (is_app()) {
        api.addEventListener({
            name: 'reload_homePage'
        }, function (ret, err) {
            to_top();
            userGetSystype_ajax(0);//用户查询首页技术视频分类 0 技术视频
            userGetSystype_ajax(1);//用户查询首页技术视频分类 1首页底部
            getIndexShuffing_ajax(0);// 查询后台设置文字 此处查询type=0(0首页公告 1技术分类 2会员详情 3如何赚积分 4用户只指南 5关于我们 6服务协议)
            // userGetAllShufflingByType_ajax(0);//查询首页轮播图 0   首页轮播图一
            // userGetAllShufflingByType_ajax(1);//查询首页轮播图 1   首页轮播图二
            userGetVideo_ajax(1);//技术视频列表1  topShow=1
            userGetVideo_ajax(2);//技术视频列表2 topShowType1=1
            userGetVideo_ajax(3);//技术视频列表2 topShowType2=1
            userCheckHasMessage_ajax();//消息数量
            checkStudentsMallOpenState_ajax();//查询学员商城开放状态
            // getAllUseruUnReadScoreRecord_ajax();
        });
    }

    do_auiPullToRefresh(function () {
        to_top();
        userGetSystype_ajax(0);//用户查询首页技术视频分类 0 技术视频
        userGetSystype_ajax(1);//用户查询首页技术视频分类 1首页底部
        getIndexShuffing_ajax(0);// 查询后台设置文字 此处查询type=0(0首页公告 1技术分类 2会员详情 3如何赚积分 4用户只指南 5关于我们 6服务协议)
        // userGetAllShufflingByType_ajax(0);//查询首页轮播图 0   首页轮播图一
        // userGetAllShufflingByType_ajax(1);//查询首页轮播图 1   首页轮播图二
        userGetVideo_ajax(1);//技术视频列表1  topShow=1
        userGetVideo_ajax(2);//技术视频列表2 topShowType1=1
        userGetVideo_ajax(3);//技术视频列表2 topShowType2=1
        userCheckHasMessage_ajax();//消息数量
        checkStudentsMallOpenState_ajax();//查询学员商城开放状态
        // getAllUseruUnReadScoreRecord_ajax();
    }, byQuery('.pageContainer'));
}

function do_reload_homepage() {
    // console.log('do_reload_homepage')
    // do_getUnreadCount();
    userGetTextByType_ajax(8);
    to_top();
    userGetSystype_ajax(0);//用户查询首页技术视频分类 0 技术视频
    userGetSystype_ajax(1);//用户查询首页技术视频分类 1首页底部
    getIndexShuffing_ajax(0);// 查询后台设置文字 此处查询type=0(0首页公告 1技术分类 2会员详情 3如何赚积分 4用户只指南 5关于我们 6服务协议)
    userGetAllShufflingByType_ajax(0);//查询首页轮播图 0   首页轮播图一
    userGetAllShufflingByType_ajax(1);//查询首页轮播图 1   首页轮播图二
    userGetVideo_ajax(1);//技术视频列表1  topShow=1
    userGetVideo_ajax(2);//技术视频列表2 topShowType1=1
    userGetVideo_ajax(3);//技术视频列表2 topShowType2=1
    // userCheckHasMessage_ajax();//消息数量
    checkStudentsMallOpenState_ajax();//查询学员商城开放状态
    // getAllUseruUnReadScoreRecord_ajax();
}

function checkStudentsMallOpenState_ajax() {

    var ajax_json = {
        url: getStorage('url_head') + 'checkStudentsMallOpenState.do',
        Progress: 0,
        values: {},
        callback: function (ret) {
            setStorage('students_market_openState', ret.openState)

        },
        err_callback: function (err) {

        }
    }
    goAjax(ajax_json);

}


function userGetSystype_ajax(type) {
    var ajax_json = {
        url: getStorage('url_head') + 'userGetSystype.do',
        Progress: 0,
        values: {
            des: 'asc',
            pageIndex: 1,
            pageNum: 15,
            type: type,

        },
        callback: function (ret) {
            console.warn('userGetSystype:'  + JSON.stringify(ret));
            if (type == 0) {
                show_navHome(ret);
                // userGetSystypeToBuyVideo_ajax(1);//用户查询首页技术视频分类 1首页底部
            } else if (type == 1) {
                show_newIdeo(ret)
            }
        },
        err_callback: function (err) {
            // hideProgress();
        }
    }
    goAjax(ajax_json);
}

function show_newIdeo(ret) {
    var jsonObjectList = ret.jsonObjectList;
    var str = '';
    // byID('newIdeo').innerHTML = str;
    for (var i = 0; i < jsonObjectList.length; i++) {
        str = "<div class='newIdeoWrap' data-type='" + jsonObjectList[i].type + "' data-id='" + jsonObjectList[i].id + "' data-number='" + jsonObjectList[i].number + "'>" + jsonObjectList[i].name + "</div>";
        var dom = byID('newIdeo_' + i)
        if (isElement(dom)) {
            dom.innerHTML = str;
        }
    }
    // console.log('newIdeo:' + str);
    // byID('newIdeo').innerHTML = str;
    // $('.navHome ul').append(str);
}

function show_navHome(ret) {
    var jsonObjectList = ret.jsonObjectList;
    var str = '';
    byID('clearfix').innerHTML = str;
    var length = 15;
    if (jsonObjectList.length < length) {
        length = jsonObjectList.length;
    }
    for (var i = 0; i < length; i++) {
        str += '<li onclick="show_this_type_vadio(this)" data-typeId="' + jsonObjectList[i].id + '" data-userBuyed="' + jsonObjectList[i].userBuyed + '">' +
            '<div class="navHomeListWrap">' +
            '<div class="navHomeLogo">' +
            '<img src="' + jsonObjectList[i].img + '" data-src="' + jsonObjectList[i].img + '" style="background-image: url(../../images/default_head.png)" >' +
            ' </div>' +
            '<div class="navHomeText no_wrap">'
            + jsonObjectList[i].name
            + ' </div>' +
            '</div>' +
            '</li>';
    }
    // console.log('clearfix:' + str);
    do_auiLazyload('../../images/default_head.png');
    byID('clearfix').innerHTML = str;
    // $('.navHome ul').append(str);
}


function userGetAllShufflingByType_ajax(type) {
    // console.warn('userGetAllShufflingByType_ajax:'+type);
    var ajax_json = {
        url: getStorage('url_head') + 'userGetAllShufflingByType.do',
        Progress: 0,
        values: {
            type: type,
        },
        callback: function (ret) {
            console.warn('首页轮播图：' + JSON.stringify(ret))
            show_swiper(type, ret);

        },
        err_callback: function (err) {
            // hideProgress();
        }
    }
    goAjax(ajax_json);
}

/*
 private Long id;
 private Integer type;	//类型(0 首页轮播图1 1首页轮播图2
 //2技术分类轮播图 1 3 技术分类轮播图 2)
 private Integer clickType;//点击类型(0 默认图文详情  1 商品 2视频)
 private Long resId;		// 资源id
 private String title;	//标题
 private String img;		//图片链接
 private String content;	//内容
 private Date gmtCreated;//发布时间
 */

function show_swiper(type, ret) {

    var id = 'swiper_wrapper_' + type;
    var html = '';
    byID(id).innerHTML = html;
    var List = ret.jsonObjectList;
    // setStorage('all_List', List);
    // console.log('list:'+JSON.stringify(List));
    if (no_null(List)) {
        /*   if (no_null(mySwiper)) {
         mySwiper.removeSlide([0, 1]);
         }*/
        for (var i in List) {
            var key = 'swiper-slide' + type + List[i].id;
            setStorage(key, List[i]);
            html += "<div class='swiper-slide' data-id='"+ List[i].id +"' onclick='get_photo_detail(this)' data-key='" + key + "' data-clickType='" + List[i].clickType + "'  data-resId='" + List[i].resId + "'   data-resType='" + List[i].resType + "'>" +
                "<img src='" + List[i].img + "'>" +
                '<div class="swiper_title">' + List[i].title + '</div>' +
                '</div>';
        }
        // console.log(type + ':' + html);
        byID(id).innerHTML = html;
    }
    console.warn(window["swiper_" + type])
    if(no_null(window["swiper_" + type])) {
        window["swiper_" + type].destroy();
    }
    window["swiper_" + type] = new Swiper('#swiper_' + type, {
        pagination: '.swiper-pagination',
        autoplayDisableOnInteraction: false, /*如果设置为false，用户操作swiper之后自动切换不会停止，每次都会重新启动autoplay*/
        paginationClickable: true,//此参数设置为true时，点击分页器的指示点分页器会控制Swiper切换。
        // paginationType: 'bullets',
        initialSlide: 0,
        loop: true,
        // slidesPerView: 1,
        // slidesPerGroup: 1,//在carousel mode下定义slides的数量多少为一组。
        // centeredSlides: true,
        // paginationClickable: true,
        // loop: true,
        // observer: true,//修改swiper自己或子元素时，自动初始化swiper
        autoplay: 5000,//可选选项，自动滑动
        onClick: function (swiper) {

        },
        onInit: function (swiper) {
            //Swiper初始化了
            //alert(swiper.activeIndex);提示Swiper的当前索引
            $('#swiper_' + type).attr('data', 1);
        },
    })


}

function getIndexShuffing_ajax(type) {
    var ajax_json = {
        url: getStorage('url_head') + 'getIndexShuffing.do',
        Progress: 0,
        values: {
            type: type,//(0首页公告 1技术分类 2会员详情 3如何赚积分 4用户只指南 5关于我们 6服务协议 8更新文本)
        },
        callback: function (ret) {
            // console.warn('getIndexShuffing:' + jsonToStr(ret));
            var jsonObjectList = ret.jsonObjectList;


            var txt = '';
            if (no_null(jsonObjectList)) {
                for (var i in jsonObjectList) {
                    if (no_null(jsonObjectList[i].title)) {
                        txt += jsonObjectList[i].title + '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                    }
                }
            }
            set_announcement(txt);


        },
        err_callback: function (err) {
            // hideProgress();
        }
    }
    goAjax(ajax_json);
}

function userGetTextByType_ajax(type) {
    var ajax_json = {
        url: getStorage('url_head') + 'userGetTextByType.do',
        values: {
            type: type || 8,//(0首页公告 1技术分类 2会员详情 3如何赚积分 4用户只指南 5关于我们 6服务协议 7查询积分商城消息 8更新消息)
        },
        callback: function (ret) {
            console.warn("更新数据接口：" + JSON.stringify(ret));
            var jsonObject = ret.jsonObject;
            if (no_null(jsonObject)) {
                var txt = jsonObject.content;
                byID('update_explain').innerHTML = txt;
            }
        },
        err_callback: function (err) {
            // hideProgress();
        }
    }
    goAjax(ajax_json);

}

/*

 function show_announcement(dom) {
 var dom = byID('announcement');
 var data = strToJson(dom.getAttribute('data-announcement'));
 data.title = '公告';
 data.headerText = '公告详情';
 if (no_null(data)) {
 // setStorage('msg_data', data);
 go_message_details(data);
 }
 }
 */

function userGetVideo_ajax(type) {
    // console.warn('userGetVideo_ajax:'+type)
    var topShow = '';
    var topShowType1 = '';
    var topShowType2 = '';
    var pageNum = 10;
    if (type == 1) {
        topShow = 1;
        pageNum = 10;
    } else if (type == 2) {
        topShowType1 = 1;
        pageNum = 8;
    } else if (type == 3) {
        topShowType2 = 1;
        pageNum = 6;
    }


    var ajax_json = {
        url: getStorage('url_head') + 'userGetVideo.do',
        Progress: 0,
        values: {
            pageIndex: 1,
            pageNum: pageNum,
            des: 'topsortNumber',
            topShow: topShow,
            topShowType1: topShowType1,
            topShowType2: topShowType2,
        },

        callback: function (ret) {
            console.warn('userGetVideo:' + JSON.stringify(ret))
            var clearfix = byID('clearfix_' + type);
            clearfix.innerHTML = '';
            var jsonObjectList = ret.jsonObjectList;
            if (no_null(jsonObjectList)) {
                var html = '';
                for (var i in jsonObjectList) {

                    // if (type != 3) {
                    var img = jsonObjectList[i].img;
                    /*  if (is_null(img)) {
                     img = jsonObjectList[i].img;
                     }*/
                    // console.log('img:' + img);

                    html += "<li onclick='show_this_vadio(this)' data-typeId='"+ jsonObjectList[i].typeIds +"' data-id='" + jsonObjectList[i].id + "'> " +
                        get_free(jsonObjectList[i]) +
                        "<div class='videoImg'>" +
                        " <img src='" + img + "'>" +
                        " </div> " +
                        "<div class='videoText'> " + jsonObjectList[i].title + " </div>" +
                        " <div class='videoInfo'> " + jsonObjectList[i].subTitle + "</div>" +
                        "</li>";


                }
                // console.log('clearfix:'+html)
                clearfix.innerHTML = html;
            }

        },
        err_callback: function (err) {
        }
    }
    goAjax(ajax_json);
}

function get_free(jsonObject) {
    if (jsonObject.price == 0) {
        return "<div class='freeLogo'>免费</div>";
    } else {
        return '';
    }
}

function close_no_app() {
    addClass(byID('no_app'), 'hide');
}

function verification(dom) {

    // console.log('no_click:' + no_click)
    // $('#getCaptcha').click(function (event) {

    if (!no_click) {
        var phone = byID('registerPhone').value;
        // console.log('phone:' + phone)
        if (is_null(phone)) {
            alert('请输入电话号码');
            return;
        }
        if (no_phone(phone)) {
            alert('请输入正确格式的电话号码!');
            return;
        }
        do_confirm('我们将发送校验短信到这个号码' + phone, function (ret, err) {
            no_click = true;
            countdowntime = 60;
            verification_settime();
            userReadyToRegister_ajax(phone);
        });
    }
    // });

}

var countdowntime = 0;
var no_click = false;

function verification_settime() {
    var get_verification_code = byID('getCaptcha');
    if (countdowntime > 0) {
        get_verification_code.innerHTML = "重新发送(" + countdowntime + ")";
        // get_verification_code.className = 'verification_code_2';
        no_click = true;
        countdowntime--;
    } else {
        get_verification_code.innerHTML = "获取验证码";
        // get_verification_code.className = 'verification_code_1';
        no_click = false;
        return;
    }
    setTimeout(function () {
        verification_settime();
    }, 1000)
}

function userReadyToRegister_ajax(phone) {
    /*  var url = getStorage('url_head') + 'wapUserReadyToRegister.do';
     if (is_app()) {*/
    var url = getStorage('url_head') + 'appUserReadyToRegister.do';
    // }
    var ajax_json = {
        url: url,
        values: {
            phone: phone,
        },
        callback: function (ret) {
            if (is_app()) {
                toastInfo('请输入收到短信的验证码!');
            }
        },
        err_callback: function (err) {
            if (err.msg == -4) {
                toastInfo('手机用户已存在', true);
                // api.closeToWin({
                //     name: 'login',
                // });
            } else if (err.msg == -6) {
                toastInfo('您今天发送短信次数达到上限,请联系客服', true);
            }
            countdowntime = 0;
        }
    }
    goAjax(ajax_json);
}

function home_register_to_top() {
    stopBubble();
    byQuery('.home_register').style.marginTop = '0.3rem';

}

//升级app
function do_update() {
    if (is_app()) {
        if (api.systemType != 'ios') {
            app_download('http://www.yuweixiangmeishi.cn/MasterWang.apk', function (path, percent) {
                if (path) {
                    hideProgress();
                    api.installApp({
                        appUri: path,
                    });
                } else {
                    showProgress(false, '下载进度' + percent + '%', '版本更新');
                }
            }, true)
        } else {
            go_UIWebBrowser('http://a.app.qq.com/o/simple.jsp?pkgname=youi.tech.com.wangying')
            /* app_download('http://www.yuweixiangmeishi.cn/MasterWang.ipa', function (path, percent) {
             if (path) {
             hideProgress();
             api.installApp({
             appUri: path,
             });
             } else {
             showProgress(false, '下载进度' + percent + '%', '版本更新');
             }
             })*/
        }
    }

}

