function johntitor_3in1(callblack, container) {
    do_auiLazyload();
    do_auiPullToRefresh(callblack, container);
    do_auiScroll(callblack);
}
//下拉刷新
function do_auiPullToRefresh(callblack, container) {
    if (isElement(container)) {
        var pullRefresh = new auiPullToRefresh({//加载auiPullToRefresh
            container: container,//容器
            triggerDistance: 100//下拉触发高度
        }, function (ret) {
            // container.setAttribute('data-auiPullToRefresh-key',1);
            if (ret.status == "success") {
                if (typeof callblack == "function") {
                    try {
                        if (userGetVideodiscuss_pageIndex) {
                            userGetVideodiscuss_pageIndex = 1;
                        }
                    } catch (e) {
                    }
                    showProgress()
                    setTimeout(function () {
                        hideProgress();
                        // if(container.getAttribute('data-auiPullToRefresh-key')==1){
                            // container.setAttribute('data-auiPullToRefresh-key',0)
                            callblack(container);
                        // }
                        pullRefresh.cancelLoading(); //刷新成功后调用此方法隐藏
                    },2000)
                }
            }
        })
    }
}

//滑动加载
function do_auiScroll(callblack) {

    var do_auiScroll = new auiScroll({
        listen: true,
        distance: 0, //判断到达底部的距离，isToBottom为true,
    }, function (ret) {
        // console.log(jsonToStr(ret))
        if (ret.isToBottom) {
            if (typeof callblack == "function") {
                callblack(ret);
            }
        }

    });
}
//懒加载
function do_auiLazyload(errorImage) {
    new auiLazyload({
        errorImage: errorImage || '../../images/default_head.png'
    });
}

(function (window) {
    var auiPullToRefresh = function (params, callback) {
        this.extend(this.params, params);
        this._init(callback)
    };
    var touchYDelta;
    var isLoading = false;
    var docElem = window.document.documentElement, loadWrapH, win = {
        width: window.innerWidth,
        height: window.innerHeight
    }, winfactor = 0.2, translateVal, isMoved = false, firstTouchY, initialScroll;
    auiPullToRefresh.prototype = {
        params: {
            container: document.querySelector(".aui-refresh-content"),
            friction: 2.5,
            triggerDistance: 100,
            callback: false
        }, _init: function (callback) {
            var self = this;
            var loadingHtml = '<div class="aui-refresh-load"><div class="aui-refresh-pull-arrow"></div></div>';
            self.params.container.insertAdjacentHTML("afterbegin", loadingHtml);
            self.params.container.addEventListener("touchstart", function (ev) {
                self.touchStart(ev)
            });
            self.params.container.addEventListener("touchmove", function (ev) {
                self.touchMove(ev)
            });
            self.params.container.addEventListener("touchend", function (ev) {
                self.touchEnd(ev, callback)
            })
        }, touchStart: function (ev) {
            if (isLoading) {
                return
            }
            isMoved = false;
            this.params.container.style.webkitTransitionDuration = this.params.container.style.transitionDuration = "0ms";
            touchYDelta = "";
            var touchobj = ev.changedTouches[0];
            firstTouchY = parseInt(touchobj.clientY);
            initialScroll = this.scrollY()
        }, touchMove: function (ev) {
            if (isLoading) {
                ev.preventDefault();
                return
            }
            var self = this;
            var moving = function () {
                var touchobj = ev.changedTouches[0], touchY = parseInt(touchobj.clientY);
                touchYDelta = touchY - firstTouchY;
                if (self.scrollY() === 0 && touchYDelta > 0) {
                    ev.preventDefault()
                }
                if (initialScroll > 0 || self.scrollY() > 0 || self.scrollY() === 0 && touchYDelta < 0) {
                    firstTouchY = touchY;
                    return
                }
                translateVal = Math.pow(touchYDelta, 0.85);
                self.params.container.style.webkitTransform = self.params.container.style.transform = "translate3d(0, " + translateVal + "px, 0)";
                isMoved = true;
                if (touchYDelta > self.params.triggerDistance) {
                    self.params.container.classList.add("aui-refresh-pull-up");
                    self.params.container.classList.remove("aui-refresh-pull-down")
                } else {
                    self.params.container.classList.add("aui-refresh-pull-down");
                    self.params.container.classList.remove("aui-refresh-pull-up")
                }
            };
            this.throttle(moving(), 20)
        }, touchEnd: function (ev, callback) {
            var self = this;
            if (isLoading || !isMoved) {
                isMoved = false;
                return
            }
            if (touchYDelta >= this.params.triggerDistance) {
                isLoading = true;
                ev.preventDefault();
                this.params.container.style.webkitTransitionDuration = this.params.container.style.transitionDuration = "300ms";
                this.params.container.style.webkitTransform = this.params.container.style.transform = "translate3d(0,60px,0)";
                // document.querySelector(".aui-refresh-pull-arrow").style.webkitTransitionDuration = document.querySelector(".aui-refresh-pull-arrow").style.transitionDuration = "0ms";
                self.params.container.classList.add("aui-refreshing");
                if (callback) {
                    callback({status: "success"})
                }
            } else {
                this.params.container.style.webkitTransitionDuration = this.params.container.style.transitionDuration = "300ms";
                this.params.container.style.webkitTransform = this.params.container.style.transform = "translate3d(0,0,0)";
                if (callback) {
                    callback({status: "fail"})
                }
            }
            isMoved = false;
            return
        }, cancelLoading: function () {
            var self = this;
            isLoading = false;
            self.params.container.classList.remove("aui-refreshing");
            // document.querySelector(".aui-refresh-pull-arrow").style.webkitTransitionDuration = document.querySelector(".aui-refresh-pull-arrow").style.transitionDuration = "300ms";
            this.params.container.style.webkitTransitionDuration = this.params.container.style.transitionDuration = "0ms";
            self.params.container.style.webkitTransform = self.params.container.style.transform = "translate3d(0,0,0)";
            self.params.container.classList.remove("aui-refresh-pull-up");
            self.params.container.classList.add("aui-refresh-pull-down");
            return
        }, scrollY: function () {
            return window.pageYOffset || docElem.scrollTop
        }, throttle: function (fn, delay) {
            var allowSample = true;
            return function (e) {
                if (allowSample) {
                    allowSample = false;
                    setTimeout(function () {
                        allowSample = true
                    }, delay);
                    fn(e)
                }
            }
        }, winresize: function () {
            var resize = function () {
                win = {width: window.innerWidth, height: window.innerHeight}
            };
            throttle(resize(), 10)
        }, extend: function (a, b) {
            for (var key in b) {
                if (b.hasOwnProperty(key)) {
                    a[key] = b[key]
                }
            }
            return a
        }
    };
    window.auiPullToRefresh = auiPullToRefresh
})(window);

(function (window, undefined) {
    var _loadImgNodes;
    var auiLazyload = function (params) {
        this.errorImage = params.errorImage || false;
        this._init(params)
    };
    auiLazyload.prototype = {
        _init: function (params) {
            var self = this;
            _loadImgNodes = document.querySelectorAll("[data-src]");
            self._judgeImages();
            window.addEventListener("scroll", function () {
                _loadImgNodes = document.querySelectorAll("[data-src]");
                self._judgeImages()
            }, false)
        }, _judgeImages: function () {
            var self = this;
            if (_loadImgNodes.length) {
                for (var i = 0; i < _loadImgNodes.length; i++) {
                    if (_loadImgNodes[i].getBoundingClientRect().top < window.innerHeight) {
                        self._loadImage(_loadImgNodes[i])
                    }
                }
            }
        }, _loadImage: function (el) {
            var self = this;
            var img = new Image();
            img.src = el.getAttribute("data-src");
            el.src = el.getAttribute("data-src");
            el.removeAttribute("data-src");
            img.onerror = function () {
                el.src = self.errorImage || el.getAttribute("src");
                el.removeAttribute("data-src")
            }
        }
    };
    window.auiLazyload = auiLazyload
})(window);


(function(window) {
    'use strict';
    var isToBottom = false,isMoved = false;
    var auiScroll = function (params,callback) {
        this.extend(this.params, params);
        this._init(params,callback);
    }
    auiScroll.prototype = {
        params: {
            listren:false,
            distance: 100
        },
        _init : function(params,callback) {
            var self = this;
            if(self.params.listen){
                document.body.addEventListener("touchmove", function(e){
                    self.scroll(callback);
                });
                document.body.addEventListener("touchend", function(e){
                    self.scroll(callback);
                });
            }
            window.onscroll = function(){
                self.scroll(callback);
            }
        },
        scroll : function (callback) {
            var self = this;
            var clientHeight = document.documentElement.scrollTop === 0 ? document.body.clientHeight : document.documentElement.clientHeight;
            var scrollTop = document.documentElement.scrollTop === 0 ? document.body.scrollTop : document.documentElement.scrollTop;
            var scrollHeight = document.documentElement.scrollTop === 0 ? document.body.scrollHeight : document.documentElement.scrollHeight;

            if (scrollHeight-scrollTop-self.params.distance <= window.innerHeight) {
                isToBottom = true;
                if(isToBottom){
                    callback({
                        "scrollTop":scrollTop,
                        "isToBottom":true
                    })
                }
            }
        },
        extend: function(a, b) {
            for (var key in b) {
                if (b.hasOwnProperty(key)) {
                    a[key] = b[key];
                }
            }
            return a;
        }
    }
    window.auiScroll = auiScroll;
})(window);

//文档高度

function getDocumentTop() {

    var scrollTop = 0, bodyScrollTop = 0, documentScrollTop = 0;

    if (document.body) {

        bodyScrollTop = document.body.scrollTop;

    }

    if (document.documentElement) {

        documentScrollTop = document.documentElement.scrollTop;

    }

    scrollTop = (bodyScrollTop - documentScrollTop > 0) ? bodyScrollTop : documentScrollTop;
    return scrollTop;

}

//可视窗口高度

function getWindowHeight() {

    var windowHeight = 0;
    if (document.compatMode == "CSS1Compat") {

        windowHeight = document.documentElement.clientHeight;

    } else {

        windowHeight = document.body.clientHeight;

    }

    return windowHeight;

}

//滚动条滚动高度

function getScrollHeight() {

    var scrollHeight = 0, bodyScrollHeight = 0, documentScrollHeight = 0;

    if (document.body) {

        bodyScrollHeight = document.body.scrollHeight;

    }

    if (document.documentElement) {

        documentScrollHeight = document.documentElement.scrollHeight;

    }

    scrollHeight = (bodyScrollHeight - documentScrollHeight > 0) ? bodyScrollHeight : documentScrollHeight;
    return scrollHeight;

}
function do_scroll (callback) {
    console.log('do_scroll')
    window.onscroll = function ()
    {
        if (getScrollTop() + getClientHeight() == getScrollHeight()) {
            //dosomething
            if(callback){
                callback
            }
        }

    }

}