/**
 * Created by HASEE on 2017/7/13.
 */

var aplayer;
var if_closeWin = false;
function aplayer_open(json) {
    // console.log(jsonToStr(json))
    aplayer = api.require('aplayer');
    aplayer.init({
        fullBtnPlan: 1,
        isImmerse: true,//（可选项）APP是否开启“沉浸式”，true开启|fasle不开启 (仅全屏播放有效；当为true时，全屏播放会自动加上状态栏的高度，为false时，全屏播放不加状态栏高度。)
    });
    var rect = {
        x: 0,
        y: json.y || 20,
        w: api.winWidth,
        h: json.h || 222,
    }
    aplayer.play({
        title: json.title || '',
        rect: rect,
        fullscreen: false,
        // fixedOn: api.winName,
        fixed: false,
        animation: true,
        enableFull: false,//（可选项）本次播放视频是否全屏播放，当为true时将直接全屏播放视频，x,y,w,h,fixedOn,fixed值不会生效。
        url: json.path,//（必填项）视频资源地址，支持fs://、widget://(在 android 平台上不支持 widget)、rtmp://、http://
        defaultBtn: true,//（可选项）设置本次播放是否显示默认自带的播放控制按钮
        isTopView: true,//（可选项）是否显示顶部标题栏
        isFullBtn: true,//（可选项）小窗口是否显示进入全屏按钮
        isBackBtn: true,//（可选项）小窗口是否显示返回按钮
        scalingMode: 2,//（可选项）视频播放显示铺满模式（//1 无缩放 2 适应大小模式 3 充满可视范围，可能会被裁剪 4 缩放到充满视图）
        isReplayView: false,//（可选项）视频播放结束后是否显示重播视图层(该视图层会覆盖在整个播放器上层，播放器的按钮不能被操作)
    }, function (ret, err) {
        console.log('ret:' + JSON.stringify(ret));
        api.setFullScreen({fullScreen: false,});

        if (ret.status) {
            aplayer.start(function (ret, err) {
                // console.log('start.ret:' + JSON.stringify(ret));
            });
            aplayer_unfull();
            pause();
            full();
            unfull();
            backBtn();
        }

        if (err) {
            console.log('err' + JSON.stringify(err));
        }

    });
}
function pause() {
    api.addEventListener({
        name: 'pause'
    }, function (ret, err) {
        aplayer.pause(function (ret, err) {
        });
        aplayer.unfull(function (ret, err) {
        });
        api.setScreenOrientation({
            orientation: 'portrait_up'
        });
    });
}
function backBtn() {
    aplayer.addEventListener({
        name: 'backBtn'
    }, function (ret, err) {
        if (ret.status) {
            aplayer.isFullScreen(function (ret, err) {
                if (ret.status) {
                    aplayer.unfull(function (ret, err) {
                    });
                } else {
                    playModule_close();
                }
            });
        }
    });
}
function unfull() {
    aplayer.addEventListener({
        name: 'unfull'
    }, function (ret, err) {
        if (ret.status) {
            aplayer_unfull();
        }
    });
}
function aplayer_unfull() {
    aplayer.unfull(function (ret, err) {

    });
    api.setScreenOrientation({
        orientation: 'portrait_up'
    });
    api.addEventListener({
        name: 'keyback'
    }, function (ret, err) {
        playModule_close();
        if(if_closeWin){
            closeWin();
        }
        if_closeWin = true;
    });
}
function full() {
    aplayer.addEventListener({
        name: 'full'
    }, function (ret, err) {
        if (ret.status) {
            aplayer.full(function (ret, err) {

            });
            api.addEventListener({
                name: 'keyback'
            }, function (ret, err) {
                aplayer.unfull(function (ret, err) {
                });
                if (if_closeWin) {
                    closeWin();
                }
                if_closeWin = true;
            });
        }
    });
}
function playModule_close() {
    api.setFullScreen({fullScreen: false,});
    api.setScreenOrientation({
        orientation: 'portrait_up'
    });
    if (aplayer) {
        aplayer.stop(function (ret, err) {

        });
    }
}