/**
 * Created by HASEE on 2017/3/16.
 */
var edit = false;
var mescroll = new MeScroll("mescroll", {
    up: {
        callback: userGetMessage_ajax, //上拉加载的回调
        //以下是一些常用的配置,当然不写也可以的.
        page: {
            num: 0, //当前页 默认0,回调之前会加1; 即callback(page)会从1开始
            size: 15 //每页数据条数,默认10
        },
        htmlNodata: '<p class="upwarp-nodata">-- END --</p>',
        noMoreSize: 5, //如果列表已无数据,可设置列表的总数量要大于5才显示无更多数据;
        lazyLoad: {
            use: true, // 是否开启懒加载,默认false
            attr: 'imgurl' // 标签中网络图的属性名 : <img imgurl='网络图  src='占位图''/>
        }
    }
});
apiready = function () {
//     onload = function () {
    common_initial();

    if (get_url_json().type == 'score') {
        getUserscorerecord_ajax();
    } else {
        $('.top_right').removeClass('hide');
        userGetMessage_ajax();
    }

}

function do_edit(dom) {
    if (edit) {
        dom.innerHTML = '编辑';
        $('.msg_selected').removeClass('msg_selected');
        hide_dom('#Footer')
        byQuery('.containHasHeader').style.bottom = '0';
    } else {
        dom.innerHTML = '取消编辑';
        byQuery('.containHasHeader').style.bottom = '1rem';
        show_dom('#Footer')
    }
    edit = !edit;
}
function msg_selected_all(dom) {

    if (dom.getAttribute('data-selected') == 0) {
        $('.msg_list').addClass('msg_selected');
        dom.innerHTML = '全不选';
        dom.setAttribute('data-selected', 1);
    } else {
        $('.msg_selected').removeClass('msg_selected');
        dom.innerHTML = '全选';
        dom.setAttribute('data-selected', 0);
    }
}
function userGetMessage_ajax(page) {
    var url = getStorage('url_head') + 'userGetJsonInfo/userGetMessage.do';
    var pageNum = page.num; // 页码, 默认从1开始 如何修改从0开始 ?
    var pageSize = page.size; // 页长, 默认每页10条
    var ajax_json = {
        url: url,
        values: {
            pageIndex: pageNum,
            pageNum: pageSize,
            des: 'desc',
        },
        callback: function (ret) {
            hideProgress();
            console.warn('消息列表：' + JSON.stringify(ret))
            var jsonObjectList = ret.jsonObjectList;
            var html = '';
            if (pageNum == 1) {
                byID('commandList').innerHTML = '';
            }
            if (no_null(jsonObjectList)) {
                for (var i in jsonObjectList) {
                    setStorage('msg_' + jsonObjectList[i].id, jsonObjectList[i]);
                    html += ' <li data-typeId="' + jsonObjectList[i].id + '" onclick="show_this_message(this)" class="msg_list"> <div class="fgI_content_top clearfix"> <div class="touxiang_logo fl"> <img src="../../images/touxiang.png" alt=""><div class="red_rt ' + get_red_rt_show(jsonObjectList[i].checkState) + '"></div> </div> <div class="fgI_textBox_comment fl" > <p class="msg_title">' + jsonObjectList[i].title + '</p> <div class="fgI_time_comment"> ' + jsonObjectList[i].content.replace(/<(?!img).*?>/g, "") + ' </div> </div> <div class="fgI_textBox_time fr">  ' + jsonObjectList[i].gmtCreated + ' </div> </div> </li>'
                }
                // console.log('commandList:' + html);
                byID('commandList').innerHTML += html;
                // byID('commandList').style = 'height: ' + jsonObjectList.length * 1.2 + 2 + 'rem'
            } else {
                byID('commandList').innerHTML = '';
            }

            mescroll.endBySize(jsonObjectList.length, ret.allCount);
            // console.log('jsonObjectList.length :' + jsonObjectList.length );
            // console.log('pageNum :' + pageNum );
        },
        err_callback: function (err) {
            hideProgress();
            byID('commandList').innerHTML = '';
            toastInfo('没有更多消息了!');
            mescroll.endBySize(0, 0);
            if (err.msg == 0) {
                if (pageNum == 1) {
                    byID('commandList').innerHTML = '';
                }
            }
        }
    };

    showProgress();
    goAjax(ajax_json);
}
function get_red_rt_show(checkState) {
    if (checkState == 1) {
        return 'hide';
    } else {
        return '';
    }

}
function show_this_message(dom) {
    if (edit) {
        if (hasCls(dom, 'msg_selected')) {
            removeClass(dom, 'msg_selected');
        } else {
            addClass(dom, 'msg_selected');
        }
    } else {
        addClass(byQuery('.red_rt', dom), 'hide');
        var id = dom.getAttribute('data-typeId');
        var ajax_json = {
            url: getStorage('url_head') + 'userGetJsonInfo/getUsermessageById.do',
            values: {
                id: id,
            },
            callback: function (ret) {
                /*  if (is_app()) {
                 api.sendEvent({
                 name: 'reload_homePage',
                 });
                 }*/
                do_reload_msg_num();
                var data = getStorage('msg_' + id);
                data.headerText = '消息详情';
                if (no_null(data)) {
                    go_message_details(data);
                }
            },
            err_callback: function (err) {


            }
        }
        goAjax(ajax_json);
    }
}


function userDelUsermessageByIds_ajax() {
    var id_arr = [];
    $('.msg_selected').each(function (index, domEle) {
        id_arr.push($(this).attr('data-typeId'));
    })
    if (!id_arr.length || id_arr == []) {
        toastInfo('请选择需要删除的消息');
        return;
    }
    do_confirm('确认删除选中消息吗?', function (ret) {
        var ajax_json = {
            url: getStorage('url_head') + 'userGetJsonInfo/userDelUsermessageByIds.do',
            values: {
                ids: id_arr.join(','),
            },
            callback: function (ret) {
                do_reload_msg_num();
                toastInfo('删除成功!');
                mescroll.resetUpScroll();
                // userGetMessage_ajax();
                edit = true
                do_edit(byQuery('.top_right'));
            },
            err_callback: function (err) {
                toastInfo('删除失败!');


            }
        }
        goAjax(ajax_json);
    })

}
function getUserscorerecord_ajax() {
    var ajax_json = {
        url: getStorage('url_head') + 'userGetJsonInfo/getUserscorerecord.do',
        values: {
            pageIndex: 1,
            pageNum: 100100,
            des: 'desc',
        },
        callback: function (ret) {
            var list = ret.jsonObjectList;
            var dom = byQuery('#commandList')
            var html = '';
            if (no_null(list)) {
                for (var i in list) {
                    if (parseInt(list[i].score) > 0) {
                        html += '<li class="integralList clearfix" onclick="go_message_score(' + list[i].score + ',' + list[i].checkState + ',' + list[i].id + ',this)"> ' +
                            '<div class="fl">' +
                            ' <p class="integralName">' + list[i].reason + get_checkState_txt(list[i].checkState, list[i].id) + '</p>' +
                            ' <p class="integralTime">' + list[i].gmtCreated + '</p>' +
                            ' </div> ' +
                            '<div class="integralNum fr addInt">+' + list[i].score + '</div> '
                        '</li>'
                    }
                }
            }
            console.log('integralGroup:' + html);
            dom.innerHTML = html;
        },
        err_callback: function (err) {
            if (err.msg == 0) {
                // toastInfo('没有更多记录了!');
            }
        }
    }
    goAjax(ajax_json);
}
function get_checkState_txt(checkState, id) {
    if (checkState == 0) {
        return '<span class="inline no_read" id="no_read' + id + '">(未读)</span>'
    } else {
        return '';
    }

}

function go_message_score(score, checkState, id, dom) {
    if (checkState == 1) {
        openWin('message_score', 'message_score.html?score=' + score);
    } else {
        var ajax_json = {
            url: getStorage('url_head') + 'userGetJsonInfo/getUserscorerecordById.do',
            values: {
                id: id,
            },
            callback: function (ret) {
                do_reload_msg_num();
                hide_dom(byQuery('.no_read', dom));
                openWin('message_score', 'message_score.html?score=' + score);
            },
            err_callback: function (err) {
                if (err.msg == 0) {
                    // toastInfo('没有更多记录了!');
                }
            }
        }
        goAjax(ajax_json);
    }
}

function do_reload_msg_num() {
    if (is_app()) {
        console.log('sendEvent reload_msg_num');
        api.sendEvent({
            name: 'reload_msg_num',
        });
    }
}
